(in-package "COMMON-LISP-USER")

;;; Load file for KPML for use in the AGILE project...
;;; John. Uni Stirling. May 98.
;;; Revised for KPML3, Bremen, April 2000
;;;
;;;          ---------------------------------------
;;; IF YOU DO NOT ALREADY KNOW WHAT THIS FILE IS FOR, THEN DO NOT BOTHER
;;; READING FURTHER!!!!!
;;;          ---------------------------------------
;;;
;;; Assumes that KPML3 is being used as part of the Agile interface,
;;; therefore much of the environment has been set elsewhere... Only
;;; the basics left here, with the rest commented out... Should
;;; NOT REQUIRE ANY CHANGES IF THE INTERFACE HAS BEEN PROPERLY INSTALLED.

;;; **********************************************************************
;;; 1. Setup the following path so that KPML can find
;;;    the CLOS Domain Model Code...          
;;;
#+ignore(defvar *agile-pathname-default*
	  (format nil "~a~a" cl-user::**agile-root** "agile\\domain\\"))
;;;
;;; DONE in a_integrate.lisp

;;; 2. Set the following variable to the name of the file that does
;;;    all the CLOS Domain Model loading. As of May 98, this file
;;;    is called agile.lisp. As long as it remains so, the following
;;;    should not need to be changed....
(defvar *agile-dm-loader* "agile.lisp")

;;; 3. Setup the following path so that KPML can find
;;;    the linguistic resources... Note that you will need
;;;    this if you do not run KPML within the Agile system!
;;;
#+ignore(defvar *root-of-resources* nil)
;;;
;;; DONE in a_integrate.lisp

;;; No more changes necessary in this or any other KPML file.
;;; **********************************************************************

;;;    Setup KPML so that it uses the CLOS Domain Model
;;;    Code as its knowledge representation...
(defvar *kpml-kr-loader* 
    (merge-pathnames "agile-kpml-kr" *root-of-kpml*))

;;; Proceed to install/load-up KPML...
;;;  (this is start-kpml.lisp without the KPML interface startup)
(defvar *stratification?* nil)
(defvar *questions-during-configuration* nil)

(load (merge-pathnames "configuration" *root-of-kpml*))
(load (merge-pathnames "version-utilities" *root-of-kpml*))

;;; Upper model must be taken care of in the Agile DM
;;; module, so make sure it is not required when loading
;;; here...
(setf *upper-model-required?* nil)
(setf *load-general-upper-model* nil)

(pushnew :KPML *features*)
(load (merge-pathnames "load-kpml.lisp" *root-of-kpml*))

;;; Done.
