(in-package "COMMON-LISP-USER")

;;; ---------------------------------------------------------------------
;;; Delivery script (1): 
;;;
;;;                    site configuration
;;;             for KPML 4.0 with LW4.1 plus CLIM.
;;;             for KPML 4.1 with LW5 plus CLIM.

;; *********************************************************************
;; *** CHANGE THE FOLLOWING TWO PATHNAMES FOR THE LOCAL SITE...      ***
;; ***   NOTE THAT THE \\ AT THE END OF PATHS IS IMPORTANT!!         ***
;; *********************************************************************

(defparameter *ROOT-OF-KPML* (pathname "C:\\john\\systems\\kpml\\kpml4\\"))
(defparameter *ROOT-OF-RESOURCES* (pathname "C:\\john\\systems\\kpml\\Resources\\"))

;; **********************************************************************
;; *** CHANGE THE FOLLOWING IF LOOM IS BEING USED AS KR ...           ***
;; **********************************************************************

(defvar *loom-pathname-default*
  (pathname "C:\\john\\systems\\kpml\\loom4.0\\")
  )

;; *********************************************************************
;; *** THE FOLLOWING MUST ONLY BE SET IF THE KPML BINARIES ARE BEING ***
;; *** KEPT IN A DIFFERENT PLACE TO THE SOURCE FILES. THIS IS NOT    ***
;; *** THE CASE UNLESS YOU HAVE EXPLICITLY ORGANIZED THIS TO BE DONE ***
;; *** LOCALLY.                                                      ***
;; **********************************************************************

(defparameter *KPML-BINARIES-ROOT* 
          (pathname "C:\\john\\systems\\KPML\\binaries\\LWW5-PC-GUI\\"))

;; *********************************************************************
;; *** SET THIS TO WHERE THE CLIM FONT PATCHES FOR LWW4.1 ARE TO BE  ***
;; *** FOUND (IF AT ALL: see notes below if it becomes as issue:     ***
;; ***                   but ignore until then)                      ***           
;; *********************************************************************

(defvar *LWW41-PRIVATE-PATCHES* 
  nil ; "C:\\Programme\\Harlequin\\Lispworks41\\clim-fonts-lww41\\"
  )

;; *********************************************************************
;; *** SET THIS TO WHERE THE IMAGE SHOULD LAND UP...                 ***
;; *********************************************************************

(defvar *image-destination* "C:\\temp\\kpml41-image.exe")

;; *********************************************************************
;; And start loading...
;;
(load-all-patches)
(require "clim")

;; ----------------------------------------------------------------------
;; *** ESSENTIAL FONT SUPPORT PATCHES FOR CYRILLIC, ETC.***
;; newly provided by Harlequin at Sept 1999 for LW4.1.17.
;; If you are using a version of Lispworks later than
;; 4.1.17, then these are no longer required. Also if
;; you are not concerned with such options, ignore anyway.

(defvar *clim-lww4-1-17-font-support*
  '(("clim-standalone-fat-strings.fsl" . :clim-standalone)
    ("clim-standalone-device-fonts.fsl" . :clim-standalone)
    ("clim-win32-fat-strings.fsl" . :clim-win32)
    ("clim-win32-device-fonts.fsl" . :clim-win32)))

(when *lww41-private-patches* 
  (loop for (patch-file . patch-label) in *clim-lww4-1-17-font-support*
	do 
	(scm:require-private-patch 
	 (merge-pathnames  
	  *lww41-private-patches* patch-file)
	 patch-label)))
;; ----------------------------------------------------------------------

