(in-package "KPML")

;;; File: flags.lisp
;;;
;;; Various flags for seeing inside the genre- and register-driven
;;; generation process...

;;; First flags for tracing generation with generalized syntagmatic
;;; units, particularly as used for register and genre... Needs a 
;;; lot more work, but would be better if integrated with existing
;;; means of generating structure...

;; (defvar *grammaticize* t)                 ;; defined in planner
;; (defvar *interactive* t)                  ;; defined in planner
;; (defvar *show-register-profiles* nil)     ;; defined in planner
;; (defvar *show-register-realizations* nil) ;; defined in register-realizations...
;; (defvar *show-semantic-input* t)          ;; defined in grammaticising
;; (defvar *no-thematization* t)             ;; defined in discourse semantics

(defvar *semantic-output-stream* nil)
(defvar *show-genre-realizations* nil)
(defvar *show-intermediate-results* t)
(defvar *show-complexing-decisions* t)
(defvar *show-function-feature-entailments* t)

(defun no-trace ()
  (setf *semantic-output-stream* nil
	*grammaticize* t
	*show-genre-realizations* nil
	*show-register-realizations* nil
	*show-semantic-input* nil
	*interactive* nil
	*show-register-profiles* nil
	*show-function-feature-entailments* nil
	*show-intermediate-results* nil
	*show-complexing-decisions* nil
	*no-thematization* t))


(defun planning-trace ()
  (setf *semantic-output-stream* t
	*grammaticize* t
	*show-genre-realizations* t
	*show-register-realizations* nil
	*show-semantic-input* t
	*interactive* t
	*show-register-profiles* nil
	*show-intermediate-results* t
	*show-complexing-decisions* t
	*no-thematization* nil))


