(in-package :common-lisp-user)

;;; File: generation-modes.lsp
;;; John: Stirling: September 97.
;;;
;;; ACLPC version of the generation modes dialog menu.
;;;
 
(defvar kpml-i::generation nil)
 
;; Return the window, creating it the first time or when it's closed.
;; Use only this function if you need only one instance.
(defun KPML-I::RUN-MODES (&optional dummy)
  (declare (ignore dummy))
  (if (windowp kpml-i::generation) kpml-i::generation 
    (setq kpml-i::generation (make-kpml-generation-modes))))
 
;; Create an instance of the window.
;; Use this if you need more than one instance.
(defun MAKE-KPML-GENERATION-MODES (&key (parent *screen*) 
                        (window-interior (make-box 162 82 858 474)) 
                        (name 'kpml-i::generation) 
                        (title "Generation Modes"))
   (setq *loaded-but-uncreated-windows* 
      (delete 'kpml-i::generation *loaded-but-uncreated-windows*))
   (let (window-0 window-1 window-2 window-3 window-4)
      (setq window-0 
         (open-dialog 
            (list 
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-5 
                  :title (delete #\Newline "") 
                  :box (make-box 586 360 600 381) 
                  :tabstop nil 
		  :value  kpml-i::*example-auto-creation*
		  :set-value-fn #'(lambda (widg new old)
				    (setf  kpml-i::*example-auto-creation* new)
				    (values t nil))
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)))
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-7 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline 
                     "Automatically create new examples...")
                  :box (make-box 320 360 586 381) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)))
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-25 
                  :title (delete #\Newline "Static Text 17") 
                  :value (delete #\Newline "Show associations...") 
                  :box (make-box 16 320 226 339) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-26 
                  :title (delete #\Newline "Static Text 17") 
                  :value 
                  (delete #\Newline "Show inquiry answer source...") 
                  :box (make-box 16 339 226 353) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-21 
                  :title (delete #\Newline "Check Box 21") 
                  :box (make-box 251 320 265 332) 
		  :value kpml::display-association-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::display-association-flag new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-22 
                  :title (delete #\Newline "Check Box 22") 
                  :box (make-box 251 339 265 351) 
                  :tabstop nil 
		  :value  kpml::*show-inquiry-answer-source*
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::*show-inquiry-answer-source* new)
				    (values t nil))
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-27 
                  :title (delete #\Newline "Static Text 17") 
                  :value 
                  (delete #\Newline 
                     "Show entailed inquiry responses...")
                  :box (make-box 16 356 247 374) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-23 
                  :title (delete #\Newline "Check Box 23") 
                  :box (make-box 251 356 265 368) 
		  :value kpml::show-preselected-response-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-preselected-response-flag new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-13 
                  :title (delete #\Newline "Check Box 13") 
                  :box (make-box 251 266 265 280) 
                  :tabstop nil 
		  :value kpml::show-dependency-choices
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-dependency-choices new)
				    (values t nil))
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-12 
                  :title (delete #\Newline "Check Box 12") 
                  :box (make-box 251 248 265 260) 
		  :value kpml::*show-disabled-systems-flag*
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::*show-disabled-systems-flag* new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-11 
                  :title (delete #\Newline "Check Box 11") 
                  :box (make-box 251 229 265 245) 
		  :value kpml::show-why-system-is-firing-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-why-system-is-firing-flag new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-10 
                  :title (delete #\Newline "Check Box 10") 
                  :box (make-box 251 211 265 227) 
		  :value kpml::english-trace-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::english-trace-flag new)
				    (when kpml::english-trace-flag
					  (kpml-i::startup-generation-history-frame t)
					  (kpml-i::startup-fat-frame t))
				    (when (or 
					   kpml::display-association-flag
					   kpml::show-constituent-starts)
					  (kpml-i::startup-fat-frame t))
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-9 
                  :title (delete #\Newline "Check Box 9") 
                  :box (make-box 251 192 265 207) 
		  :value kpml::show-constituent-starts
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-constituent-starts new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-11 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline "Show constituent starts...") 
                  :box (make-box 16 192 247 211) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-13 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline 
                     "Show system and inquiry activity...")
                  :box (make-box 16 211 247 229) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-17 
                  :title (delete #\Newline "Static Text 17") 
                  :value 
                  (delete #\Newline 
                     "Show system entry dependencies...")
                  :box (make-box 16 266 247 287) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)))
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-14 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline "Show why system is firing...") 
                  :box (make-box 16 229 247 244) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-15 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline 
                     "Show disabled candidate systems...")
                  :box (make-box 16 248 247 263) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-21 
                  :title (delete #\Newline "Static Text 17") 
                  :value (delete #\Newline "Show lexical selection...") 
                  :box (make-box 305 257 515 275) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-20 
                  :title (delete #\Newline "Static Text 17") 
                  :value (delete #\Newline "Show lexical features...") 
                  :box (make-box 305 239 515 256) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-19 
                  :title (delete #\Newline "Static Text 17") 
                  :value 
                  (delete #\Newline "Show immediate realizations...") 
                  :box (make-box 305 217 515 239) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-18 
                  :title (delete #\Newline "Static Text 17") 
                  :value (delete #\Newline "Show preselections...") 
                  :box (make-box 305 200 515 217) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-22 
                  :title (delete #\Newline "Static Text 17") 
                  :value 
                  (delete #\Newline "Show ordering constraints...") 
                  :box (make-box 305 280 515 293) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-23 
                  :title (delete #\Newline "Static Text 17") 
                  :value (delete #\Newline "Show ordering events...") 
                  :box (make-box 305 298 515 314) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-24 
                  :title (delete #\Newline "Static Text 17") 
                  :value (delete #\Newline "Show ordering results...") 
                  :box (make-box 305 317 515 337) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-14 
                  :title (delete #\Newline "Check Box 14") 
                  :box (make-box 551 201 565 213) 
                  :tabstop nil 
		  :value kpml::show-preselections-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-preselections-flag new)
				    (values t nil))
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-15 
                  :title (delete #\Newline "Check Box 15") 
                  :box (make-box 551 217 565 229) 
                  :tabstop nil 
		  :value kpml::show-immediate-realizations-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-immediate-realizations-flag new)
				    (values t nil))
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-16 
                  :title (delete #\Newline "Check Box 16") 
                  :box (make-box 551 239 565 251) 
                  :tabstop nil 
                  :groupstart nil 
		  :value kpml::show-lexical-features-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-lexical-features-flag new)
				    (values t nil))
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-17 
                  :title (delete #\Newline "Check Box 17") 
                  :box (make-box 551 256 565 268) 
                  :tabstop nil 
		  :value kpml::show-lexical-selection
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-lexical-selection new)
				    (setf kpml::*show-lexical-selection-flag*
					  new)
				    (values t nil))
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-18 
                  :title (delete #\Newline "Check Box 18") 
                  :box (make-box 551 281 565 293) 
		  :value kpml::show-ordering-constraints
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-ordering-constraints new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-19 
                  :title (delete #\Newline "Check Box 19") 
                  :box (make-box 551 298 565 310) 
		  :value kpml::show-ordering-events
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::show-ordering-events new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-20 
                  :title (delete #\Newline "Check Box 20") 
                  :box (make-box 551 317 565 329) 
		  :value  kpml::show-ordering-results
		  :set-value-fn #'(lambda (widg new old)
				    (setf  kpml::show-ordering-results new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-6 
                  :title (delete #\Newline "Check Box 6") 
                  :box (make-box 654 39 668 60) 
                  :tabstop nil 
		  :value kpml::*trace-this-constituent*
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::*trace-this-constituent* new)
				    (values t nil))
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-8 
                  :title (delete #\Newline "Check Box 8") 
                  :box (make-box 654 60 668 81) 
		  :value kpml::realize-selectively-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::realize-selectively-flag new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'single-item-list 
                  :name :single-item-list-3 
                  :title (delete #\Newline "Single Item List 3") 
                  :value nil
                  :box (make-box 305 49 362 107) 
		  :value kpml::*cumulate-chooser-activity*
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::*cumulate-chooser-activity* new)
				    (values t nil))
                  :tabstop t 
                  :groupstart t 
                  :key 'capitalize-object 
                  :range (list nil :traced :all) 
                  :font (make-font-ex nil :arial 13 nil))
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-7 
                  :title (delete #\Newline "Check Box 7") 
                  :box (make-box 305 119 319 140) 
		  :value kpml::store-to-environment-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::store-to-environment-flag new)
				    (setf kpml::Domain-Implemented-Value-Compare-Flag
					  kpml::store-to-environment-flag)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-9 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline "Update example record fields...") 
                  :box (make-box 28 119 288 137) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-8 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline 
                     "Cumulate system and inquiry activity...")
                  :box (make-box 28 49 294 67) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-10 
                  :title (delete #\Newline "Static Text 7") 
                  :value (delete #\Newline "Realize selectively...") 
                  :box (make-box 400 59 623 81) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-12 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline 
                     "Realize until constituent number...")
                  :box (make-box 400 39 623 54) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-29 
                  :title (delete #\Newline "Static Text 7") 
                  :value (delete #\Newline "Single step...") 
                  :box (make-box 400 81 623 98) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-30 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline "Enter debugger on warnings...") 
                  :box (make-box 400 99 623 116) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'static-text 
                  :name :static-text-31 
                  :title (delete #\Newline "Static Text 7") 
                  :value 
                  (delete #\Newline 
                     "Interactively augment preselections...")
                  :box (make-box 400 119 654 137) 
                  :tabstop nil 
                  :groupstart t 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-24 
                  :title (delete #\Newline "Check Box 24") 
                  :box (make-box 654 81 668 102) 
		  :value kpml::stop-action-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::stop-action-flag new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-25 
                  :title (delete #\Newline "Check Box 25") 
                  :box (make-box 654 102 668 123) 
		  :value kpml::warning-stop-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::warning-stop-flag new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'check-box 
                  :name :check-box-26 
                  :title (delete #\Newline "Check Box 26") 
                  :box (make-box 654 123 668 144) 
		  :value kpml::supplement-preselections-flag
		  :set-value-fn #'(lambda (widg new old)
				    (setf kpml::supplement-preselections-flag new)
				    (values t nil))
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'lisp-group-box 
                  :name :lisp-group-box-6 
                  :title (delete #\Newline "") 
                  :box (make-box 9 317 276 381) 
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)) 
                  :tab-control nil)
               (make-dialog-item 
                  :widget 'lisp-group-box 
                  :name :lisp-group-box-4 
                  :title (delete #\Newline "") 
                  :box (make-box 9 182 276 297) 
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)))
               (make-dialog-item 
                  :widget 'lisp-group-box 
                  :name :lisp-group-box-3 
                  :title (delete #\Newline "GENERATION CONTROL") 
                  :box (make-box 384 15 679 150) 
                  :tabstop nil 
                  :groupstart nil 
                  :font 
                  (make-font-ex :swiss :arial\ black 13 
                     '(:bold :italic)))
               (make-dialog-item 
                  :widget 'lisp-group-box 
                  :name :lisp-group-box-5 
                  :title (delete #\Newline "") 
                  :box (make-box 296 192 600 339) 
                  :tabstop nil 
                  :groupstart nil 
                  :font (make-font-ex nil :arial 13 '(:bold)))
               (make-dialog-item 
                  :widget 'lisp-group-box 
                  :name :lisp-group-box-1 
                  :title (delete #\Newline "RESULT FOCUSING OPTIONS") 
                  :box (make-box 16 15 368 150) 
                  :tabstop nil 
                  :groupstart nil 
                  :font 
                  (make-font-ex :swiss :arial\ black 13 
                     '(:bold :italic))))
            'dialog parent 
            :name name 
            :title title 
            :font (make-font :swiss :system 16 '(:bold)) 
            :window-state :shrunk 
            :window-border :frame 
            :left-attachment nil 
            :top-attachment nil 
            :right-attachment nil 
            :bottom-attachment nil 
            :user-movable t 
            :user-resizable t 
            :user-closable t 
            :user-shrinkable t 
            :user-scrollable nil 
            :overlapped nil 
            :background-color light-gray 
            :pop-up-p nil 
            :window-interior window-interior))
      (setf (window-editable-p window-0) t)
      (setf (getf (stream-plist window-0) :path) "")
      (setf (getf (stream-plist window-0) :startup-state) nil)
      (setf (getf (stream-plist window-0) :top-level-p) t)
      (setf (help-string window-0) (delete #\Newline nil))
      (setf (getf (stream-plist window-0) :package) nil)
      (progn
         (set-window-menu window-0 
            (let ((menu-bar (open-stream 'menu-bar *screen* :io)))
               menu-bar))
         (reshape-window-interior window-0 window-interior))
      (let* ((box (getf *window-exteriors* (object-name window-0))))
         (when box (reshape-window-exterior window-0 box)))
      (show-window window-0 nil)
      window-0))
(unless (windowp kpml-i::generation) 
   (pushnew 'kpml-i::generation *loaded-but-uncreated-windows*))
