(in-package "KPML-I")

;;; File: pickups.lisp
;;; 1.0.27
;;; 
;;; Adds an option for picking up the object clicked upon for use
;;; as an input argument with explicit commands such as Print Lexeme
;;; which require input. 
;;; Note: documentation should be added to all the already existing
;;; presentation methods.

(clim:define-presentation-translator looking-for-an-inquiry-impl
    (inquiry-implementation string kpml-resource-inspector
	     :documentation "Pick up this inquiry implementation")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-lexeme
    (lex-item string kpml-resource-inspector
	      :documentation "Pick up this lexical item")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-system
    (system string kpml-resource-inspector
	      :documentation "Pick up this system")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-feature
    (feature string kpml-resource-inspector
	      :documentation "Pick up this feature")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-chooser
    (chooser string kpml-resource-inspector
	      :documentation "Pick up this chooser")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-inquiry
    (inquiry string kpml-resource-inspector
	      :documentation "Pick up this inquiry")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-spl-term
    (spl-term string kpml-resource-inspector
	      :documentation "Pick up this SPL term")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-example
    (example-name string kpml-resource-inspector
	      :documentation "Pick up this example")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-region
    (region string kpml-resource-inspector
	      :documentation "Pick up this region")
  (object)
  (string object))

(clim:define-presentation-translator looking-for-a-stratum
    (stratum string kpml-resource-inspector
	      :documentation "Pick up this stratum")
  (object)
  (string object))


