;;; -*- Mode: lisp; Syntax: ansi-common-lisp; Base: 10; Package: cl-user; -*-
(in-package "CL-USER")

;; File: load-cl-xml-for-kpml.lisp
;;
;; Minimal load-up of James Anderson's CL-XML module for KPML
;; usage... This file must be loaded explicitly by the user
;; rather than automatically, so that the user is aware that
;; they are using non-KPML functionality and code. It may
;; at some stage be built into standalones.

;; **********************************************************************
;; To use this file, you need to have installed CL-XML somewhere
;; and to change the following so that it points out the
;; folder/directory in which CL-XML is to be found....
;;
(defvar *ROOT-OF-CL-XML* "D:\\Briefcase\\Projects\\")
;;
;; **********************************************************************

(let ((cl-xml-dir (merge-pathnames "cl-xml/" *root-of-cl-xml*)))
  (load 
   (merge-pathnames "define-system.lisp" cl-xml-dir))
  (register-system-definition 
   :xparser 
   (merge-pathnames "sysdcl.lisp" cl-xml-dir))
)

(pushnew :xml-symbols *features*)
(setf *features* (remove :nameset-tokenizer *features*))
(execute-system-operations :xparser '(:compile :load))

(let ((loader (merge-pathnames
	       "process-xml-lexicon.lisp"
	       (merge-pathnames "cl-xml-kpml/" *root-of-kpml*))))
  (compile-file loader)
  (load loader)
 )

