;;; -*- Mode: LISP; Package: USER; Base: 10; Syntax: COMMON-LISP-*-

(in-package "USER")

(unless (find-package 'clisp) 
  (make-package 'clisp)
  (shadow '(bind neq puthash tab) 'clisp)
  (use-package '(lisp) 'clisp))

(defvar compile-pathname-default 
	    "/nfs/isd3/nl/penman-distribution/clisp/")

(defvar load-pathname-default 
	    "/nfs/isd3/nl/penman-distribution/clisp/")

(defvar clisp-source-files 
	    '("franzmacs.lisp" "string-functions.lisp" "clispiter.lisp"))

#+TI
(defvar clisp-binary-files 
	    '("franzmacs.xld" "string-functions.xld" "clispiter.xld"))

#+LUCID
(defvar clisp-binary-files 
	    '("franzmacs.sbin" "string-functions.sbin" "clispiter.sbin"))

#+ALLEGRO
(defvar clisp-binary-files 
	    '("franzmacs.fasl" "string-functions.fasl" "clispiter.fasl"))

#+(:AND CMU SPARC)
(defvar clisp-binary-files 
	    '("franzmacs.sparcf" "string-functions.sparcf" "clispiter.sparcf"))

(dolist (file-name clisp-source-files)
   (compile-file (merge-pathnames file-name compile-pathname-default)))

(dolist (file-name clisp-binary-files)
   (load (merge-pathnames file-name load-pathname-default)))
