(in-package "PENMAN")


;;; some patch additions: Nina, 25.09.2007 in Bremen

;;; (in-region :name CONJUNCTIVE)

(defspl-macro :conjunctive
              ((also
                 :conjunctive-relation-q conjunctive
    :conjunctive-relation-id (?rr / rhetorical-relation)
    :process-regulated-q notprocessregulated
   :joint-regard-q joint
:concessive-q nonconcessive
    :contrastive-q notcontrastive
    :similarity-q notsimilarity
    :correction-q notcorrection
    :disjunctive-q notdisjunctive
:additive-q additive
:kind-of-add-q also-add
)      
	(and
	      :conjunctive-relation-q conjunctive
    :conjunctive-relation-id (?rr / rhetorical-relation)
    :process-regulated-q notprocessregulated
   :joint-regard-q joint
:concessive-q nonconcessive
    :contrastive-q notcontrastive
    :similarity-q notsimilarity
    :correction-q notcorrection
    :disjunctive-q notdisjunctive
:additive-q additive
:kind-of-add-q and-add)	
(so
	      :conjunctive-relation-q conjunctive
    :conjunctive-relation-id (?rr / rhetorical-relation)
    :process-regulated-q notprocessregulated
   :joint-regard-q joint
:concessive-q nonconcessive
    :contrastive-q notcontrastive
    :similarity-q notsimilarity
    :correction-q notcorrection
    :disjunctive-q notdisjunctive
:additive-q nonadditive)

               (alternatively
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q joint
                 :contrastive-q contrastive)
               (before
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q notsequence
;;                 :presentation-q notpresentational
                 :time-relation-q timerelation
                 :time-precedence-q precedence
                 :time-precede-q notsubsequent
                 :time-separation-q immediate)
               (besides
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q joint
                 :contrastive-q notcontrastive
                 :similarity-q notsimilarity
                 :correction-q correction)
               (further
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q sequence
                 :absolute-position-q notabsolute
                 :relative-position-q immediate)
               (generally
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q notjoint
                 :presentational-relation-q presentational
                 :reexpression-q notreexpression
                 :abstraction-q abstraction
                 :generalization-direction-q generalization)
               (however
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q notjoint
                 :presentational-relation-q notpresentational
                 :hypothesis-opposition-q hypothesisopposition)
               (immediately
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q notsequence
;;                 :presentation-q notpresentational
                 :time-relation-q timerelation
                 :time-precedence-q precedence
                 :time-precede-q subsequent
                 :time-separation-q immediate)
               (in-fact
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q notjoint
                 :presentational-relation-q presentational
                 :reexpression-q reexpression)
               (in-particular
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q notjoint
                 :presentational-relation-q presentational
                 :reexpression-q notreexpression
                 :abstraction-q abstraction
                 :generalization-direction-q example)
               (joint-however
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q joint
                 :contrastive-q notcontrastive
                 :similarity-q notsimilarity
                 :correction-q notcorrection
                 :disjunctive-q disjunctive)
               (previously
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q notsequence
;;                 :presentation-q notpresentational
                 :time-relation-q timerelation
                 :time-precedence-q precedence
                 :time-precede-q notsubsequent
                 :time-separation-q separate
                 :small-separation-q small
                 :tense past)
               (secondly
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q sequence
                 :absolute-position-q absolute
                 :extremal-position-q notextremal)
               (similarly
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q joint
                 :contrastive-q notcontrastive
                 :similarity-q similarity)
               (simultaneously
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q notsequence
;;                 :presentation-q notpresentational
                 :time-relation-q timerelation
                 :time-precedence-q noprecedence)
               (spatial-besides
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q notsequence
                 :presentation notpresentational
                 :time-relation-q nottimerelation
                 :spatial-relation-q spacerelation)
               (still                                 ;; this filler added
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q notprocessregulated
                 :joint-regard-q joint
                 :contrastive-q notcontrastive
                 :similarity-q notsimilarity
                 :correction-q notcorrection
                 :disjunctive-q notdisjunctive
                 :concessive-q concessive)
               (then
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q notsequence
;;                 :presentation-q notpresentational
                 :time-relation-q timerelation
                 :time-precedence-q precedence
                 :time-precede-q subsequent
                 :time-separation-q separate
                 :small-separation-q notsmall)
               (therefore
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q necessity)
               (ultimately
                 :conjunctive-relation-q conjunctive
                 :conjunctive-relation-id (?rr / rhetorical-relation)
                 :process-regulated-q processregulated
                 :necessity-q nonecessity
                 :sequence-q sequence
                 :absolute-position-q absolute
                 :extremal-position-q extremal)
               ))

;;; ellipsis-macros added 18.11.2007; 17:47 in Bremen

(defspl-macro :moodellipsis
	((fullellipsis
		:minimal-attention-q minimal
		:semantic-coverage-q covered
		:partellipsis-q full)
	(subjectellipsis
		:minimal-attention-q minimal
		:semantic-coverage-q covered
		:partellipsis-q part
		:whichpartelided-q subject)
	(finiteellipsis
		:minimal-attention-q minimal
		:semantic-coverage-q covered
		:partellipsis-q part
		:whichpartelided-q finite)

	(predicatorellipsis
		:minimal-attention-q minimal
		:semantic-coverage-q covered
		:partellipsis-q part
		:whichpartelided-q predicator)
))
