;;; File: be-fix.lisp
;;; Last saved in emacs: Time-stamp: <97/01/22 22:54:16 jlitchfi>

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Bug fix in INDICATIVE-INTERACTANT-SUBJECT which will properly        ;;;
;;; generate "If you are nice, I will like you" instead of the incorrect ;;;
;;; "If you be nice, I will like you."                                   ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(SYSTEM
 :NAME                   INDICATIVE-INTERACTANT-SUBJECT
 :INPUTS                 INDICATIVE-INTERACTANT
 :OUTPUTS                ((0.33333334 SPEAKER-SUBJECT
				      (PRESELECT SUBJECT SPEAKER)
				      (INFLECTIFY FINITE SINGULAR-FORM)
				      (INFLECTIFY FINITE FIRSTPERSON-FORM))
			  (0.33333334 ADDRESSEE-SUBJECT
				      (PRESELECT SUBJECT ADDRESSEE)
				      ;; why was this left out?
				      (inflectify finite singular-form)
				      (INFLECTIFY FINITE SECONDPERSON-FORM))
			  (0.33333334 SPEAKER-PLUS-SUBJECT
				      (PRESELECT SUBJECT SPEAKER-PLUS)
				      (INFLECTIFY FINITE FIRSTPERSON-FORM)
				      (INFLECTIFY FINITE PLURAL-FORM)))
 :CHOOSER                INDICATIVE-INTERACTANT-SUBJECT-CHOOSER
 :REGION                 MOOD
 :METAFUNCTION           INTERPERSONAL
 )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Fix problem of "You be from Canada" instead of "You are from Canada" ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(GATE
 :NAME                   ARE-FINITE
 :INPUTS                 (AND PRESENT
			      (OR (AND FINITE-VOICE PASSIVE-PROCESS)
				  PRESENT-SECONDARY
				  FUTURE-SECONDARY
				  ;; why is this here?
				  ;; (AND LEXVERB-FINITE BE-INTENSIVE)
				  )
			      (OR PLURAL-SUBJECT
				  PLURAL-EXISTENT
				  ADDRESSEE-SUBJECT
				  SPEAKER-PLUS-SUBJECT))
 :OUTPUTS                ((1.0 ARE-FINITE (INFLECTIFY FINITE PLURAL-FORM)
                               (INFLECTIFY FINITE PRESENT-FORM)))
 :REGION                 UNIFYINGGATES
 :METAFUNCTION           UNIFYING
 )