;;; File: causal-process.lisp
;;; Last saved in emacs: Time-stamp: <97/01/22 23:03:10 jlitchfi>

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Allow variations in keywords for CAUSAL-PROCESS-TYPE                    ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(SYSTEM
 :NAME                   CAUSAL-PROCESS-TYPE
 :INPUTS                 CAUSAL-PROCESS
 :OUTPUTS                ((0.25 REASON-PROCESS)
			  (0.25 PURPOSIVE-PROCESS) 
			  (0.25 CLIENT)
			  (0.25 CONCESSIVE-PROCESS
				(LEXIFY MINORPROCESS DESPITE)))
 :CHOOSER                CAUSAL-PROCESS-TYPE-CHOOSER
 :REGION                 PPOTHER
 :METAFUNCTION           IDEATIONAL
 )


(system
 :NAME                   lexify-reason-process
 :INPUTS                 reason-process
 :OUTPUTS                ((0.5 BECAUSE-OF
                               (LEXIFY MINORPROCESS BECAUSEOF))
			  (0.5 IN-RESPONSE-TO
                               (LEXIFY MINORPROCESS INRESPONSETO)))
 :chooser                lexify-reason-process-chooser
 :REGION                 DEPENDENCY
 :METAFUNCTION           LOGICAL
 )

(chooser
 :name lexify-reason-process-chooser
 :definition ((ask (because-of-q minirange)
		   (because-of (choose BECAUSE-OF))
		   (in-response-to (choose IN-RESPONSE-TO))))
 )

(ASKOPERATOR
 :NAME                   because-of-q
 :DOMAIN                 TP
 :PARAMETERS             (ITEM)
 :ENGLISH                ( " Should " ITEM
			   "  be lexified as because of or in response to?")
 :OPERATORCODE           trivialdefaultcode
 :PARAMETERASSOCIATIONTYPES      (CONCEPT)
 :ANSWERSET              (because-of in-response-to)
 :trivialdefault         because-of
 )

(LEXICAL-ITEM
 :NAME                   INRESPONSETO
 :SPELLING               "in response to"
 :FEATURES               (REASON-PREP PREPOSITION)
 :EDITOR                 "JLL"
 :DATE                   "19Jul96 17:00"
 )