;;; File: greater-than.lisp
;;; Last saved in emacs: Time-stamp: <97/01/22 22:46:55 jlitchfi>

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; This patch allows "blah is greater than <process>"                   ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;; new system, chooser, inquiry

(system 
 :name process-standard-type
 :inputs process-standard
 :outputs ((0.5 thing-type-process-standard)
	   (0.5 nonthing-type-process-standard))
 :chooser process-standard-type-chooser
 :region adjectival-comparison
 :metafunction ideational
 )

(chooser
 :name process-standard-type-chooser
 :definition ((ask (process-standard-type-q standard)
		   (thing (choose thing-type-process-standard))
		   (process (choose nonthing-type-process-standard))))
 :date "96Apr18"
 )

(askoperator
 :name process-standard-type-q
 :domain TP
 :mode IMPLEMENTED
 :parameters (ITEM)
 :english ("Should the comparison of the domain with the standard be presented as that of a thing or a process?")
 :operatorcode TRIVIALDEFAULTCODE
 :parameterassociationtypes (CONCEPT)
 :answerset (process thing)
 :trivialdefault process
 )

;;; fix up some old systems from 
;;; ~nlu/KPML-1.0/R3-beta-9/ENGLISH/Grammar/ADJECTIVAL-COMPARISON.systems

(GATE
 :NAME                   EXPLICIT-THING-TYPE-PROCESS-STANDARD
 :INPUTS                 (AND SCALING-STANDARD 
			      THING-TYPE-PROCESS-STANDARD)
 :OUTPUTS                ((1.0 EXPLICIT-THING-type-process-STANDARD
                               (INSERT STANDARDINDICATOR)
                               (ORDER STANDARDINDICATOR STANDARD)
                               (PRESELECT STANDARD INDEPENDENT-CLAUSE)))
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
 )

(GATE
 :NAME                   MEDIAL-ITEM-VALUE-STANDARD
 :INPUTS                 (AND SCALING-STANDARD
			      (or THING-TYPE-PROCESS-STANDARD
                                  THING-STANDARD)
			      MEDIAL-ITEM-VALUE)
 :OUTPUTS                ((1.0 MEDIAL-ITEM-VALUE-STANDARD
                               (LEXIFY STANDARDINDICATOR AS)))
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
 )

(GATE
 :NAME                   OUTER-ITEM-VALUE-STANDARD
 :INPUTS                 (AND SCALING-STANDARD
			      (or THING-TYPE-PROCESS-STANDARD
				  THING-STANDARD)
			      (OR HIGH-ITEM-VALUE LOW-ITEM-VALUE))
 :OUTPUTS                ((1.0 OUTER-ITEM-VALUE-STANDARD
                               (LEXIFY STANDARDINDICATOR THAN)))
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
 )

(SYSTEM
 :NAME                   STANDARD-EXTENSIONALITY
 :INPUTS                 (or THING-TYPE-PROCESS-STANDARD
			     THING-STANDARD)
 :OUTPUTS                ((0.5 INTENSIONAL-STANDARD)
			  (0.5 EXTENSIONAL-STANDARD))
 :CHOOSER                STANDARD-EXTENSIONALITY-CHOOSER
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
     )

(GATE
 :NAME                   SUPERLATIVE-THING-STANDARD
 :INPUTS                 (AND (or EXPLICIT-THING-STANDARD 
				  explicit-thing-type-process-standard)
			      SUPERLATIVE-SCALING)
 :OUTPUTS                ((1.0 SUPERLATIVE-THING-STANDARD
                               (LEXIFY STANDARDINDICATOR OF)))
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
 )

(GATE
 :NAME                   THRESHHOLD-THING-STANDARD
 :INPUTS                 (AND (or EXPLICIT-THING-STANDARD 
				  explicit-thing-type-process-standard)
			      THRESHHOLD-VALUE)
 :OUTPUTS                ((1.0 THRESHHOLD-THING-STANDARD
                               (LEXIFY STANDARDINDICATOR FOR)))
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
 )

(SYSTEM
 :NAME                   TYPE-OF-VALUE
 :INPUTS                 (AND (or THING-TYPE-PROCESS-STANDARD
				  THING-STANDARD)
			      COMPARATIVE-SCALING)
 :OUTPUTS                ((0.5 THRESHHOLD-VALUE) 
			  (0.5 NONTHRESHHOLD-VALUE))
 :CHOOSER                TYPE-OF-VALUE-CHOOSER
 :REGION                 SELECTION
 :METAFUNCTION           IDEATIONAL
 )

(SYSTEM
 :NAME                   DEGREE-OF-THRESHHOLD-VALUE
 :INPUTS                 (OR (AND nonthing-type-PROCESS-STANDARD 
				  COMPARATIVE-SCALING)
			     THRESHHOLD-VALUE)
 :OUTPUTS                ((0.5 HIGH-THRESHHOLD-VALUE
                               (LEXIFY COMPARATOR TOO))
			  (0.5 LOW-THRESHHOLD-VALUE))
 :CHOOSER                DEGREE-OF-THRESHHOLD-VALUE-CHOOSER
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
 )

(GATE
 :NAME                   EXPLICIT-PROCESS-STANDARD
 :INPUTS                 (AND SCALING-STANDARD 
			      nonthing-type-PROCESS-STANDARD)
 :OUTPUTS                ((1.0 EXPLICIT-PROCESS-STANDARD
                               (PRESELECT STANDARD DEPENDENT-CLAUSE)))
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
 )

(SYSTEM
 :NAME                   PROPERTY-MARKING
 :INPUTS                 (AND LOW-THRESHHOLD-VALUE 
			      nonthing-type-PROCESS-STANDARD)
 :OUTPUTS                ((0.5 UNMARKED-PROPERTY (LEXIFY COMPARATOR ENOUGH)
                               (ORDER QUALITY COMPARATOR))
			  (0.5 MARKED-PROPERTY (LEXIFY COMPARATOR SO)))
 :CHOOSER                PROPERTY-MARKING-CHOOSER
 :REGION                 ADJECTIVAL-COMPARISON
 :METAFUNCTION           IDEATIONAL
 )
