;;; File: indef-quantity.lisp
;;; Last saved in emacs: Time-stamp: <97/01/22 22:50:08 jlitchfi>

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; This patch adds :indefinite-quantity most                            ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(SYSTEM
 :NAME                   multal-majority
 :INPUTS                 MULTAL 
 :OUTPUTS                ((0.5 majority)
			  (0.5 nonmajority))
 :CHOOSER                multal-majority-chooser
 :REGION                 QUANTITY-GROUP
 :METAFUNCTION           IDEATIONAL
 )

(chooser
 :name multal-majority-chooser
 :definition ((ask (majority-q numerative)
		   (majority (choose majority))
		   (nonmajority (choose nonmajority))))
 :date "17/05/96"
 )

(askoperator
 :name majority-q
 :domain tp
 :parameters (ITEM)
 :english ( "Does "
	    ITEM
	    " express a quantity which represents a majority?")
 :PARAMETERASSOCIATIONTYPES      (CONCEPT)
 :operatorcode trivialdefaultcode
 :answerset (majority nonmajority)
 :trivialdefault nonmajority
 )
   
(SYSTEM
 :NAME                   LOTS-OF
 :INPUTS                 (AND MULTAL UNDIMINISHED nonmajority)
 :OUTPUTS                ((0.5 LOTS-OF (LEXIFY NUMERATIVE LOTS-OF))
			  (0.5 ALOT-OF (LEXIFY NUMERATIVE A-LOT-OF)))
 :CHOOSER                LOTS-OF-CHOOSER
 :REGION                 QUANTIFICATION
 :METAFUNCTION           IDEATIONAL
 )

(GATE
 :NAME                   MANY
 :INPUTS                 (AND MULTAL DIMINISHED PLURAL nonmajority)
 :OUTPUTS                ((1.0 MANY (LEXIFY NUMERATIVE MANY)))
 :REGION                 QUANTIFICATION
 :METAFUNCTION           IDEATIONAL
 )

(GATE
 :NAME                   most
 :INPUTS                 (AND MULTAL UNDIMINISHED majority)
 :OUTPUTS                ((1.0 most (LEXIFY NUMERATIVE mostdet)))
 :REGION                 QUANTIFICATION
 :METAFUNCTION           IDEATIONAL
 )

(GATE
 :NAME                   MUCH
 :INPUTS                 (AND MASS-SPECIFIED MULTAL DIMINISHED nonmajority)
 :OUTPUTS                ((1.0 MUCH (LEXIFY NUMERATIVE MUCHDET)))
 :REGION                 QUANTIFICATION
 :METAFUNCTION           IDEATIONAL
 )

(LEXICAL-ITEM
     :NAME                   mostdet
     :SPELLING               "most"
     :SAMPLE-SENTENCE        "many cats eat rats"
     :FEATURES               (NONCARDINAL COUNTABLE NUMERATIVE
                              NOT-POSSESSIVEDETERMINER NUMBER DETERMINER)
     :EDITOR                 "CUMMING"
     :DATE                   "Tuesday the eighth of October, 1985; 5:27:59 pm"
     )

(defspl-macro :indefinite-quantity
    ((much
      :quantification-q quantified
      :quantification-id quant
      :high-quantity-q high
      :diminished-q diminished)
     (many
      :quantification-q quantified
      :quantification-id quant
      :number-relativity-q relative
      :high-quantity-q high
      :diminished-q diminished)
     (most
      :quantification-q quantified
      :quantification-id quant
      :number-relativity-q relative
      :high-quantity-q high
      :diminished-q undiminished
      :majority-q majority)
     (lots-of
      :quantification-q quantified
      :quantification-id quant
      :number-relativity-q relative
      :high-quantity-q high
      :diminished-q undiminished
      :lot-q multiplelot)
     (a-lot-of
      :quantification-q quantified
      :quantification-id quant
      :number-relativity-q relative
      :high-quantity-q high
      :diminished-q undiminished
      :lot-q singlelot)
     (few
      :quantification-q quantified
      :quantification-id quant
      :number-relativity-q relative
      :high-quantity-q nonhigh
      :low-quantity-q low)
     (any-number-of
      :quantification-q quantified
      :quantification-id quant
      :number-relativity-q relative
      :high-quantity-q nonhigh
      :low-quantity-q nonlow)
     (little
      :quantification-q quantified
      :quantification-id quant
      :high-quantity-q nonhigh
      :low-quantity-q low)))