;;;; -*- Mode: LISP; Syntax: Common-lisp; Package: primer-kb; Base: 10. -*-
;;;; Time-stamp: <97/01/21 18:47:33 jlitchfi>

(in-package :penman)

(require :alter-lex "/u2/nlu/penman/additions/alter.lex")

#|
; this lexical item was modified to get rid of its dependence on PASTFORM.
(lexical-item
  :name IDENTIFY
  :spelling "identify"
  :sample-sentence  "The navy identified the new Russian ship as the Gorky."
  :features  (VERB INFLECTABLE ES-ED LEXICAL NOT-CASEPREPOSITIONS OBJECTPERMITTED NOT-TOCOMP QUESTIONCOMP
 PARTICIPLECOMP NOT-MAKECOMP BAREINFINITIVECOMP NOT-COPULA PASSIVE THATCOMP NOT-THATREQUIRED
 NOT-SUBJUNCTIVEREQUIRED NOT-ADJECTIVECOMP NONE-OF-BITRANSITIVE-INDIRECTOBJECT EXPERIENCEVERB
 PERCEPTION MIDDLE OBJECTNOTREQUIRED NOT-SUBJECTCOMP UNITARYSPELLING VISUAL)
  :comments  "process"
  :date  "10/26/88 12:08:51"
  :editor  "HOVY")
|#

(lexical-item
 :name ABILITY-NOUN
 :spelling "ability"
 :sample-sentence "His ability far surpassed expectations."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 12:55"
 :editor "Jakeway")
(lexical-item :name ACCOMPLISH
 :spelling "accomplish"
 :sample-sentence "Yesterday I accomplished the feat!"
 :features (VERB INFLECTABLE UNITARYSPELLING ES-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED EFFECTIVE DOVERB DISPOSAL
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
  :date "95Mar30 13:35"
  :editor "Jakeway")
(lexical-item
 :name ACCURATELY
 :spelling "accurately"
 :sample-sentence "He predicted their downfall accurately."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Mar25 12:15"
 :editor "Jakeway")
(lexical-item
 :name ACETABULUM
 :spelling "acetabulum"
 :sample-sentence "The acetabulum is the socket part of the pelvis."
 :features (NOUN IRR PLURALFORM COMMON NOT-NOMINALIZATION COUNTABLE
		 NONSUBSTITUTE NONE-OF-THATCOMP-TYPIC)
 :properties ((PLURALFORM "acetabula"))
 :date "95Jun19 16:50"
 :editor "Jakeway")
(lexical-item
 :name ACTIVE
 :spelling "active"
 :sample-sentence "The active dog was a handful for his master."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 15:15"
 :editor "Jakeway")
(lexical-item
 :name ACTIVITY
 :spelling "activity"
 :sample-sentence "Do you see all that activity?"
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun20 11:30"
 :editor "Jakeway")
(lexical-item
 :name ADDITIONAL
 :spelling "additional"
 :sample-sentence "We need an additional computer."
 :features (ADJECTIVE NONDEGREE COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      APPROPRIATENESS)
 :date "95Jun21 16:50"
 :editor "Jakeway")
(lexical-item
 :name ADVERSE
 :spelling "adverse"
 :sample-sentence "He did well surviving the adverse weather."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY MORE-MOST)
 :date "95Mar27 14:05"
 :editor "Jakeway")
(lexical-item
 :name ADVISE
 :spelling "advise"
 :sample-sentence "The counsellor will advise you in how you should procede."
 :features  (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		  TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		  NP-TOCOMPNOTREQUIRED NOT-SUBJECTLOWERING NOT-QUESTIONCOMP
		  NOT-MAKECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED NOT-COPULA
		  PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT EFFECTIVE
		  EXPERIENCEVERB REACTION NOT-ADJECTIVECOMP NOT-SUBJECTCOMP
		  PARTICIPLECOMP THATCOMP THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		  NOT-BAREINFINITIVECOMP LIKE)
 :date "95Jul21 11:35"
 :editor "Jakeway")
(lexical-item
 :name AESTHETIC
 :spelling "aesthetic"
 :sample-sentence "Who chose the aesthetic properties of the Davis Centre?"
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul19 14:40"
 :editor "Jakeway")
(lexical-item
 :name ALARM
 :spelling "alarm"
 :sample-sentence "Don't alarm the ghost!"
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED BITRANSITIVE PASSIVE NOT-COPULA
		 NOT-ADJECTIVECOMP SYMBOLICVERB TELLING EFFECTIVE
		 NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP S-ED
		 NOT-OBJECTNOTREQUIRED)
 :date "95Jul20 15:05"
 :editor "Jakeway")
(lexical-item
 :name ALLERGIC
 :spelling "allergic"
 :sample-sentence "I am allergic to all nuts."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 19:15"
 :editor "Jakeway")
(lexical-item
 :name ALLOW
 :spelling "allow"
 :sample-sentence "Did you allow him to help?"
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 RELATIONAL MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP CIRCUMSTANTION LOCATION OBJECTPERMITTED
		 NOT-OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT NOT-THATCOMP S-ED)
 :date "95Jun19 13:05"
 :editor "Jakeway")
(lexical-item
 :name ALTERNATIVE-NOUN
 :spelling "alternative"
 :sample-sentence "You must choose between the alternatives."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 22:35"
 :editor "Jakeway")
(lexical-item
 :name ALWAYS
 :spelling "always"
 :sample-sentence "He was always there."
 :features (ADVERB COMPARATIVEADVERB OTHERADVERB LIMITER)
 :date "95Jul21 15:10"
 :editor "Jakeway")
(lexical-item
 :name AMBULATORY
 :spelling "ambulatory"
 :sample-sentence "He was ambulatory within three weeks."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 19:20"
 :editor "Jakeway")
(lexical-item
 :name AMOUNT
 :spelling "amount"
 :sample-sentence "What amount do you have today?"
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul21 18:45"
 :editor "Jakeway")
(lexical-item
 :name ANCHOR
 :spelling "anchor"
 :sample-sentence "The implant should anchored to the femur."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
  :date "95Jun19 17:00"
  :editor "Jakeway")
(lexical-item
 :name ANAESTHETIZE
 :spelling "anaesthetize"
 :sample-sentence "He anaesthetized me for a good portion of an hour."
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS OBJECTPERMITTED
		 NOT-TOCOMP NOT-PARTICIPLECOMP NOT-MAKECOMP
		 NOT-BAREINFINITIVECOMP NOT-COPULA NOT-THATCOMP
		 NOT-ADJECTIVECOMP NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 RELATIONAL CIRCUMSTANTION MATTER NOT-SUBJECTCOMP
		 UNITARYSPELLING S-D NOT-QUESTIONCOMP EFFECTIVE NOT-PASSIVE
		 NOT-OBJECTNOTREQUIRED)
 :date "95Jul21 15:10"
 :editor "Jakeway")
(lexical-item
 :name ANESTHESIA
 :spelling "anaesthesia"
 :sample-sentence "Give me anaesthesia or give me death."
 :features (NOUN NOINFLECTIONS COMMON NOT-NOMINALIZATION COUNTABLE SUBSTITUTE)
 :date "95Mar27 11:30"
 :editor "Jakeway")
(lexical-item
 :name ANESTHESIOLOGIST
 :spelling "anaesthesiologist"
 :sample-sentence "The anaesthesiologist put me to sleep."
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 21:00"
 :editor "Jakeway")
(lexical-item
 :name ANY-NUMBER-OF
 :spelling "any number of"
 :sample-sentence "Any number of us can go sailing."
 :features (DETERMINER NOT-NUMBER NOT-POSSESSIVEDETERMINER NUMERATIVE COUNTABLE
		       CARDINAL NONNUMERAL)
 :date "95Jul21 11:00"
 :editor "Jakeway")
(lexical-item
 :name APPOINTMENT
 :spelling "appointment"
 :sample-sentence "Remember to keep your appointment."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION APPOINT))  ; not defined
 :date "95Jun23 21:05"
 :editor "Jakeway")
(lexical-item
 :name ARRHYTHMIA
 :spelling "arrhythmia"
 :sample-sentence "I noticed a slight arrhythmia."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 19:20"
 :editor "Jakeway")
(lexical-item
 :name ARTERIOGRAPHY
 :spelling "arteriography"
 :sample-sentence "Patients with positive tests are referred for arteriography."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun20 10:30"
 :editor "Jakeway")
(lexical-item
 :name ARTHROPLASTY
 :spelling "arthroplasty"
 :sample-sentence "Total hip arthroplasty is an implant procedure."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun20 18:40"
 :editor "Jakeway")
(lexical-item
 :name ARTIFICIAL
 :spelling "artificial"
 :sample-sentence "Artificial intelligence is defined by undefined problems."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun19 17:10"
 :editor "Jakeway")
(lexical-item
 :name ASSURANCE
 :spelling "assurance"
 :sample-sentence "Faith is the assurance of things hoped for."
 :features (NOUN S COMMON NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION ASSURE))  ; not defined
 :date "95Mar30 15:25"
 :editor "Jakeway")
(lexical-item
 :name ATRIAL
 :spelling "atrial"
 :sample-sentence "The atrial chambers were working well."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC MATERIAL
		      NOT-PREDICATEONLY)
 :date "95Jun23 21:05"
 :editor "Jakeway")
(lexical-item
 :name ATTACHMENT
 :spelling "attachment"
 :sample-sentence "The new prosthetic head attachment doesn't have a mouth."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION ATTACH))
 :date "95Jul18 10:00"
 :editor "Jakeway")
(lexical-item
 :name AVAILABILITY
 :spelling "availability"
 :sample-sentence "His availability far surpassed expectations."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul21 15:10"
 :editor "Jakeway")
(lexical-item
 :name BALL
 :spelling "ball"
 :sample-sentence "The Blue Jays sure can play ball."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 13:05"
 :editor "Jakeway")
(lexical-item
 :name BALL-AND-SOCKET
 :spelling "ball-and-socket"
 :sample-sentence "The hip is a ball-and-socket joint."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun19 13:00"
 :editor "Jakeway")
(lexical-item
 :name BASIC
 :spelling "basic"
 :sample-sentence "This is my basic lesson."
 :features (ADJECTIVE CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul20 15:00"
 :editor "Jakeway")
(lexical-item
 :name BED
 :spelling "bed"
 :sample-sentence "Oh, go to bed."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 21:10"
 :editor "Jakeway")
(lexical-item
 :name BLOOD
 :spelling "blood"
 :sample-sentence "I didn't see any white blood cells."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar27 17:30"
 :editor "Jakeway")
(lexical-item
 :name BONE
 :spelling "bone"
 :sample-sentence "The bone in my leg is broken."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 15:50"
 :editor "Jakeway")
(lexical-item
 :name BRAIN
 :spelling "brain"
 :sample-sentence "My brain hurts."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul18 10:00"
 :editor "Jakeway")
(lexical-item
 :name BUREAU
 :spelling "bureau"
 :sample-sentence "The federal bureau will have the answers."
 :features (NOUN IRR PLURALFORM COMMON NOT-NOMINALIZATION COUNTABLE
		 NONSUBSTITUTE NONE-OF-THATCOMP-TYPIC)
 :properties ((PLURALFORM "bureaux"))
 :date "95Jul19 18:00"
 :editor "Jakeway")
(lexical-item
 :name CACHET
 :spelling "cachet"
 :sample-sentence "Space travel has recently acquired an exotic cachet."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 13:10"
 :editor "Jakeway")
(lexical-item
 :name CANDIDATE
 :spelling "candidate"
 :sample-sentence "The Liberal candidate got elected."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul18 13:05"
 :editor "Jakeway")
(lexical-item
 :name CAPABILITY
 :spelling "capability"
 :sample-sentence "The bone healing capabilities of each patient differ."
 :features (NOUN ES COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 16:00"
 :editor "Jakeway")
(lexical-item
 :name CARDIAC
 :spelling "cardiac"
 :sample-sentence "A cardiac arrest is a heart attack."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      MATERIAL PROVENANCE NOT-PREDICATEONLY)
 :date "95Jun19 17:45"
 :editor "Jakeway")
(lexical-item
 :name CARDIOVASCULAR
 :spelling "cardiovascular"
 :sample-sentence "How is your cardiovascular health?"
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      MATERIAL PROVENANCE NOT-PREDICATEONLY)
 :date "95Jun19 16:55"
 :editor "Jakeway")
(lexical-item
 :name CARE
 :spelling "care"
 :sample-sentence "Health care is one of the most important services."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun20 12:15"
 :editor "Jakeway")
(lexical-item
 :name CAREFUL
 :spelling "careful"
 :sample-sentence "You must be careful to attach words to the correct concept."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 19:25"
 :editor "Jakeway")
(lexical-item
 :name CAREFULLY
 :spelling "carefully"
 :sample-sentence "My doctor carefully examined my big toe."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Mar25 16:35"
 :editor "Jakeway")
(lexical-item
 :name CARRY-OUT
 :spelling "carry out"
 :sample-sentence "Can you carry out the instructions I gave you?"
 :features (VERB INFLECTABLE IRR INGPARTICIPLEFORM EDPARTICIPLEFORM
		 FIRSTSINGULARPASTFORM SECONDSINGULARPASTFORM
		 THIRDSINGULARPASTFORM PLURALPASTFORM PASTFORM FIRSTSINGULARFORM
		 SECONDSINGULARFORM THIRDSINGULARFORM PLURALFORM PARTICLES
		 LEXICAL NOT-TOCOMP QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 EPISTEMIC MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP
		 OBJECTNOTPERMITTED)
 :properties ((INGPARTICIPLEFORM "carrying out")
	      (EDPARTICIPLEFORM "carried out")
	      (FIRSTSINGULARPASTFORM "carried out")
	      (SECONDSINGULARPASTFORM "carried out")
	      (THIRDSINGULARPASTFORM "carried out")
	      (PLURALPASTFORM "carried out") (PASTFORM "carried out")
	      (FIRSTSINGULARFORM "carry out") (SECONDSINGULARFORM "carry out")
	      (THIRDSINGULARFORM "carries out") (PLURALFORM "carry out"))
 :date "95Jul18 10:05"
 :editor "Jakeway")
(lexical-item
 :name CARTILAGE
 :spelling "cartilage"
 :sample-sentence "Cartilage provides a smooth joint."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 13:05"
 :editor "Jakeway")
(lexical-item
 :name CASE-NOUN
 :spelling "case"
 :sample-sentence "Please state your case."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul18 10:05"
 :editor "Jakeway")
(lexical-item
 :name CAUSE-NOUN
 :spelling "cause"
 :sample-sentence "Does the existence of the universe have a cause?"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 17:50"
 :editor "Jakeway")
(lexical-item
 :name CEMENT
 :spelling "cement"
 :sample-sentence "We need to cement this graft in place."
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED NOT-PASSIVE
		 NOT-COPULA NOT-ADJECTIVECOMP NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-THATCOMP NOT-BAREINFINITIVECOMP NOT-TOCOMP S-ED
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE RELATIONAL INTENSION
		 ASCRIPTIVE MEASUREASCRIPTION COVER NOT-OBJECTNOTREQUIRED)
 :date "95Jun20 11:30"
 :editor "Jakeway")
(lexical-item
 :name CEMENT-NOUN
 :spelling "cement"
 :sample-sentence "The cement is hardening."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar30 14:15"
 :editor "Jakeway")
(lexical-item
 :name CEMENTLESS
 :spelling "cemetless"
 :sample-sentence "This cementless joint seems to be working fine."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun23 21:10"
 :editor "Jakeway")
(lexical-item
 :name CEPHABULUM
 :spelling "cephabulum"
 :sample-sentence "The acetabulum is the socket part of the pelvis."
 :features (NOUN IRR PLURALFORM COMMON NOT-NOMINALIZATION COUNTABLE
		 NONSUBSTITUTE NONE-OF-THATCOMP-TYPIC)
 :properties ((PLURALFORM "cephabula"))
 :date "95Ju18 10:10"
 :editor "Jakeway")
(lexical-item
 :name CERTAIN
 :spelling "certain"
 :sample-sentence "It has a certain use."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NOINFLECTIONS DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 11:35"
 :editor "Jakeway")
(lexical-item
 :name CERTIFICATION
 :spelling "certification"
 :sample-sentence "We have received the highest level of certification."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION CERTIFY))  ; not defined
 :date "95Jul19 14:45"
 :editor "Jakeway")
(lexical-item
 :name CERTIFY
 :spelling "certify"
 :sample-sentence "This car was to be certified by an expert mechanic."
 :features (VERB INFLECTABLE ES-ED LEXICAL NOT-CASEPREPOSITIONS OBJECTPERMITTED
		 NOT-TOCOMP QUESTIONCOMP PARTICIPLECOMP NOT-MAKECOMP
		 BAREINFINITIVECOMP NOT-COPULA PASSIVE THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE OBJECTNOTREQUIRED
		 NOT-SUBJECTCOMP UNITARYSPELLING)
 :date "95Sep11 09:10"
 :editor "Jakeway")
(lexical-item
 :name CHANCE
 :spelling "chance"
 :sample-sentence "This is your last chance!"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun20 12:20"
 :editor "Jakeway")
(lexical-item
 :name COMMIT
 :spelling "commit"
 :sample-sentence "Can you commit to a five-year deal?"
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED NOT-PASSIVE
		 NOT-COPULA NOT-ADJECTIVECOMP NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-THATCOMP NOT-BAREINFINITIVECOMP NOT-TOCOMP S-*ED
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE RELATIONAL INTENSION
		 ASCRIPTIVE MEASUREASCRIPTION COVER NOT-OBJECTNOTREQUIRED)
 :date "95Jun19 17:40"
 :editor "Jakeway")
(lexical-item
 :name COMMITMENT
 :spelling "commitment"
 :sample-sentence "This job requires a multi-year commitment."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION COMMIT))
 :date "95Jun19 17:20"
 :editor "Jakeway")
(lexical-item
 :name COMPLETE
 :spelling "complete"
 :sample-sentence "He made a complete fool of himself with the prime minister."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul13 13:10"
 :editor "Jakeway")
(lexical-item
 :name COMPLETELY
 :spelling "completely"
 :sample-sentence "I was completely wrong."
 :features (ADVERB NOT-LIMITER
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jul13 13:15"
 :editor "Jakeway")
(lexical-item
 :name COMPLICATE
 :spelling "complicate"
 :sample-sentence "Surgery is complicated."
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 NONE-OF-SYMBOLICVERB-RELATIONAL-EXPERIENCEVERB-DOVERB MIDDLE
		 OBJECTPERMITTED NOT-TOCOMP NOT-QUESTIONCOMP NOT-PARTICIPLECOMP
		 NOT-MAKECOMP NOT-BAREINFINITIVECOMP COPULA NOT-PASSIVE
		 NOT-THATCOMP NOT-SUBJECTCOMP UNITARYSPELLING S-D
		 OBJECTNOTREQUIRED)
 :date "95Jun19 20:20"
 :editor "Jakeway")
(lexical-item
 :name COMPLICATED
 :spelling "complicated"
 :sample-sentence "Adding lexical items is complicated."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Mar30 19:50"
 :editor "Jakeway")
(lexical-item
 :name COMPLICATION
 :spelling "complication"
 :sample-sentence "I have been informed about the possible complications."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION COMPLICATE))
 :date "95Mar27 11:15"
 :editor "Jakeway")
(lexical-item
 :name COMPLY
 :spelling "comply"
 :sample-sentence "He complied with the request, didn't he?"
 :features  (VERB INFLECTABLE UNITARYSPELLING ES-ED LEXICAL NOTCASEPREPOSITIONS
		  NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		  DOVERB DISPOSAL EFFECTIVE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		  NOT-BAREINFINITIVECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED
		  NOT-COPULA PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		  NOT-THATCOMP)
 :date "95Jun23 21:14"
 :editor "Jakeway")
(lexical-item
 :name CONGESTIVE
 :spelling "congestive"
 :sample-sentence "He had congestive heart failure."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 19:25"
 :editor "Jakeway")
(lexical-item
 :name CONSENT
 :spelling "consent"
 :sample-sentence "Yes, you can have my consent to the surgery."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95May19 12:10"
 :editor "Jakeway")
(lexical-item
 :name CONSIDER
 :spelling "consider"
 :sample-sentence "Consider their way of life."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BARENFINITIVECOMP)
  :date "95Mar25 23:30"
  :editor "Jakeway")
(lexical-item
 :name CONTENT-NOUN
 :spelling "content"
 :sample-sentence "What is in your table of contents?"
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION CONTENT))  ; not defined
 :date "95Jul18 10:15"
 :editor "Jakeway")
(lexical-item
 :name COOPERATION
 :spelling "cooperation"
 :sample-sentence "Thank-you for your cooperation."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION COOPERATE))  ; not defined
 :date "95Jun20 12:20"
 :editor "Jakeway")
(lexical-item
 :name CORONARY
 :spelling "coronary"
 :sample-sentence "Patients can be referred for a coronary arteriography."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 10:30"
 :editor "Jakeway")
(lexical-item
 :name CRUTCH
 :spelling "crutch"
 :sample-sentence "You'll need to learn to walk on crutches."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 21:15"
 :editor "Jakeway")
(lexical-item
 :name CUSHION
 :spelling "cushion"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 17:55"
 :editor "Jakeway")
(lexical-item
 :name CUSTOM-MADE
 :spelling "custom-made"
 :sample-sentence "Here is your custom-made car."
 :features (ADJECTIVE CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul21 11:15"
 :editor "Jakeway")
(lexical-item
 :name DAMAGED
 :spelling "damaged"
 :sample-sentence "Your damaged knee needs physiotherapy."
 :features (ADJECTIVE DEGREE MORE-MOST
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jul11 04:35"
 :editor "Jakeway")
(lexical-item
 :name DEATH
 :spelling "death"
 :sample-sentence "The one death provides hope for us all."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 17:55"
 :editor "Jakeway")
(lexical-item
 :name DECISION
 :spelling "decision"
 :sample-sentence "I have finally made a decision."
 :features (NOUN S COMMON NOT-NOMINALIZABLE COUNTABLE)
 :date "95Apr24 14:10"
 :editor "Jakeway")
(lexical-item
 :name DEEP
 :spelling "deep"
 :sample-sentence "This is a very deep hole."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS DEGREE INTRINSIC NOT-PREDICATEONLY
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      SIZE ER-EST)
 :date "95Mar27 14:10"
 :editor "Jakeway")
(lexical-item
 :name DEGREE
 :spelling "degree"
 :sample-sentence "It is five degrees out."
 :features (NOUN S COMMON NOT-NOMINALIZABLE COUNTABLE)
 :date "95Jul11 04:50"
 :editor "Jakeway")
(lexical-item
 :name DELAYED
 :spelling "delayed"
 :sample-sentence "The delayed project took on a whole new face."
 :features (ADJECTIVE DEGREE MORE-MOST
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun23 19:30"
 :editor "Jakeway")
(lexical-item
 :name DEPEND
 :spelling "depend"
 :sample-sentence "That depends on how well you do."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB BEHAVIOUR MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :properties ((CASEPREPOSITIONS ON))
 :date "95Mar30 15:20"
 :editor "Jakeway")
(lexical-item
 :name DEPEND-ON
 :spelling "depend on"
 :sample-sentence "Come on, we depend on you."
 :features (VERB INFLECTABLE COMPOUNDSPELLING IRR INGPARTICIPLEFORM
		 FIRSTSINGULARFORM SECONDSINGULARFORM THIRDSINGULARFORM
		 PLURALFORM FIRSTSINGULARPASTFORM SECONDSINGULARPASTFORM
		 THIRDSINGULARPASTFORM PLURALPASTFORM PASTFORM
		 EDPARTICIPLEFORM IMMOVABLEPARTICLES LEXICAL
		 NOT-CASEPREPOSITIONS TOCOMP NP-TOCOMPPERMITTED
		 NOT-FORNPPERMITTED NP-TOCOMPNOTREQUIRED NOT-SUBJECTLOWERING
		 NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED
		 NOT-OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE EXPERIENCEVERB
		 REACTION NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP
		 THATCOMP THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP DISLIKE)
 :properties ((INGPARTICIPLEFORM "depending on")
	      (FIRSTSINGULARFORM "depend on") (SECONDSINGULARFORM "depend on")
	      (THIRDSINGULARFORM "depends on") (PLURALFORM "depend on")
	      (FIRSTSINGULARPASTFORM "depended on")
	      (SECONDSINGULARPASTFORM "depended on")
	      (THIRDSINGULARPASTFORM "depended on")
	      (PLURALPASTFORM "depended on")
	      (EDPARTICIPLEFORM "depended on"))
 :date "95Jul11 04:40"
 :editor "Jakeway")
(lexical-item
 :name DESIGNATE
 :spelling "designate"
 :sample-sentence "I will designate him as my successor."
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS OBJECTPERMITTED
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-PARTICIPLECOMP MAKECOMP
		 NOT-BAREINFINITIVECOMP NOT-COPULA PASSIVE THATCOMP THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT SYMBOLICVERB SAYING
		 EFFECTIVE NOT-SUBJECTCOMP UNITARYSPELLING S-D
		 NOT-OBJECTNOTREQUIRED)
 :date "95Jul19 18:30"
 :editor "Jakeway")
(lexical-item
 :name DESIRE
 :spelling "desire"
 :sample-sentence "We desire better colour."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED NOT-SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED NOT-COPULA
		 PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE
		 EXPERIENCEVERB REACTION NOT-ADJECTIVECOMP NOT-SUBJECTCOMP
		 PARTICIPLECOMP THATCOMP THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP LIKE)
 :date "95Mar26 00:20"
 :editor "Jakeway")
(lexical-item
 :name DESTRUCTION
 :spelling "destruction"
 :sample-sentence "And great was its destruction."
 :features (NOUN S COMMON NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION DESTRUCT))  ; not defined
 :date "95Jun23 21:15"
 :editor "Jakeway")
(lexical-item
 :name DETERMINABLE
 :spelling "determinable"
 :sample-sentence "This problem may not be determinable."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Mar27 13:30"
 :editor "Jakeway")
(lexical-item
 :name DETERMINE
 :spelling "determine"
 :sample-sentence "Captain Ahab was determined to get Moby Dick."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED NOT-SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED NOT-COPULA
		 PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE
		 EXPERIENCEVERB REACTION NOT-ADJECTIVECOMP NOT-SUBJECTCOMP
		 PARTICIPLECOMP THATCOMP THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP DISLIKE)
 :date "95May23 16:15"
 :editor "Jakeway")
(lexical-item
 :name DEVIANT
 :spelling "deviant"
 :sample-sentence "His deviant plant died last week."
 :features (ADJECTIVE DEGREE COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      MORE-MOST APPROPRIATENESS)
 :date "95Jul21 11:20"
 :editor "Jakeway")
(lexical-item
 :name DIABETES
 :spelling "diabetes"
 :sample-sentence "He has diabetes mellitus."
 :features (NOUN NOINFLECTIONS COMMON NOT-NOMINALIZATION UNCOUNTABLE SUBSTITUTE)
 :date "95Jul18 13:20"
 :editor "Jakeway")
(lexical-item
 :name DIE
 :spelling "die"
 :sample-sentence "When die you little dog die?"
 :features (VERB INFLECTABLE UNITARYSPELLING IRR INGPARTICIPLEFORM
		 EDPARTICIPLEFORM PLURALPASTFORM THIRDSINGULARPASTFORM
		 SECONDSINGULARPASTFORM FIRSTSINGULARPASTFORM PASTFORM
		 PLURALFORM SECONDSINGULARFORM FIRSTSINGULARFORM
		 THIRDSINGULARFORM LEXICAL NOT-CASEPREPOSITIONS NOT-TOCOMP
		 NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP RELATIONAL
		 MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP EXISTENTIAL OBJECTNOTPERMITTED
		 NOT-THATCOMP)
 :properties ((INGPARTICIPLEFORM "dying")
	      (FIRSTSINGULARFORM "die") (SECONDSINGULARFORM "die")
	      (THIRDSINGULARFORM "dies") (PLURALFORM "die")
	      (FIRSTSINGULARPASTFORM "died") (SECONDSINGULARPASTFORM "died")
	      (THIRDSINGULARPASTFORM "died") (PLURALPASTFORM "died")
	      (EDPARTICIPLEFORM "died"))
 :date "95Jul13 13:50"
 :editor "Jakeway")
(lexical-item
 :name DIE-SHAPE-VERB
 :spelling "die"
 :features (VERB INFLECTABLE UNITARYSPELLING IRR INGPARTICIPLEFORM
		 EDPARTICIPLEFORM PLURALPASTFORM THIRDSINGULARPASTFORM
		 SECONDSINGULARPASTFORM FIRSTSINGULARPASTFORM PASTFORM
		 PLURALFORM SECONDSINGULARFORM FIRSTSINGULARFORM
		 THIRDSINGULARFORM LEXICAL NOT-CASEPREPOSITIONS NOT-TOCOMP
		 NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP RELATIONAL
		 MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :properties ((INGPARTICIPLEFORM "dieing")
	      (FIRSTSINGULARFORM "die") (SECONDSINGULARFORM "die")
	      (THIRDSINGULARFORM "dies") (PLURALFORM "die")
	      (FIRSTSINGULARPASTFORM "died") (SECONDSINGULARPASTFORM "died")
	      (THIRDSINGULARPASTFORM "died") (PLURALPASTFORM "died")
	      (EDPARTICIPLEFORM "died"))
 :date "95Jul13 14:25"
 :editor "Jakeway")
(lexical-item
 :name DIRECTLY
 :spelling "directly"
 :sample-sentence "I went directly home."
 :features (ADVERB NOT-LIMITER
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jun23 21:20"
 :editor "Jakeway")
(lexical-item
 :name DISCLOSURE
 :spelling "disclosure"
 :sample-sentence "A disclosure of this information is mandatory."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION DISCLOSE))  ; not defined
 :date "95May19 11:05"
 :editor "Jakeway")
(lexical-item
 :name DISCOLORATION
 :spelling "discoloration"
 :sample-sentence "This discoloration is not permanent."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION DISCOLOUR))  ; not defined
 :date "95Mar27 12:40"
 :editor "Jakeway")
(lexical-item
 :name DISCOMFORT
 :spelling "discomfort"
 :sample-sentence "I need relief of discomfort."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 15:45"
 :editor "Jakeway")
(lexical-item
 :name DISEASE
 :spelling "disease" 
 :sample-sentence "The disease in this bones has progressed quite far."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 17:55"
 :editor "Jakeway")
(lexical-item
 :name DISEASED
 :spelling "diseased"
 :sample-sentence "The diseased part of the bone will have to be removed."
 :features (ADJECTIVE DEGREE MORE-MOST
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun19 18:10"
 :editor "Jakeway")
(lexical-item
 :name DISLOCATE
 :spelling "dislocate"
 :sample-sentence "I dislocated my shoulder!"
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Jun23 21:25"
 :editor "Jakeway")
(lexical-item
 :name DISK
 :spelling "disk" 
 :sample-sentence "My computer disk is unreadable!"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul18 10:20"
 :editor "Jakeway")
(lexical-item
 :name DISSUADE
 :spelling "dissuade"
 :sample-sentence "She's immovable; you can't dissuade her."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NP-TOCOMPREQUIRED NOT-QUESTIONCOMP
		 NOT-MAKECOMP NOT-ADJECTIVECOMP EXPERIENCEVERB EFFECTIVE
		 SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP COGNITION
		 EPISTEMIC NOT-SUBJECTLOWERING NOT-FORNPPERMITTED
		 OBJECTPERMITTED NOT-OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT)
 :date "95Jul13 14:25"
 :editor "Jakeway")
(lexical-item
 :name DOCTOR
 :spelling "doctor"
 :sample-sentence "Eliza is my doctor."
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Feb2"
 :editor "Jakeway")
(lexical-item
 :name DOCUMENT
 :spelling "document"
 :sample-sentence "Did you get the documents I wanted, Watson?"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 14:40"
 :editor "Jakeway")
(lexical-item
 :name DONOR
 :spelling "donor"
 :sample-sentence "I really appreciate my liver donor."
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 14:45"
 :editor "Jakeway")
(lexical-item
 :name DOWNLOAD
 :spelling "download"
 :sample-sentence "We downloaded five files yesterday."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED
		 OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT EFFECTIVE DOVERB DISPOSAL
		 NOT-ADJECTIVECOMP SUBJECTCOMP NOT-PARTICIPLECOMP NOT-THATCOMP
		 NOT-BAREINFINITIVECOMP)
 :comments "process"
 :date "95Jul19 23:05"
 :editor "Jakeway")
(lexical-item
 :name DOWNLOADING
 :spelling "downloading"
 :sample-sentence "The downloading took twenty minutes."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION DOWNLOAD))
 :date "95Jul18 10:40"
 :editor "Jakeway")
(lexical-item
 :name DRUG
 :spelling "drug"
 :sample-sentence "Don't do drugs."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar27 11:20"
 :editor "Jakeway")
(lexical-item
 :name DURATION
 :spelling "duration"
 :sample-sentence "Do sit-ups for the duration of your recovery."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar27 13:30"
 :editor "Jakeway")
(lexical-item
 :name DYE-COLOUR-VERB
 :spelling "dye"
 :features (VERB INFLECTABLE UNITARYSPELLING IRR INGPARTICIPLEFORM
		 EDPARTICIPLEFORM PLURALPASTFORM THIRDSINGULARPASTFORM
		 SECONDSINGULARPASTFORM FIRSTSINGULARPASTFORM PASTFORM
		 PLURALFORM SECONDSINGULARFORM FIRSTSINGULARFORM
		 THIRDSINGULARFORM LEXICAL NOT-CASEPREPOSITIONS NOT-TOCOMP
		 NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP RELATIONAL
		 MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :properties ((INGPARTICIPLEFORM "dyeing")
	      (FIRSTSINGULARFORM "dye") (SECONDSINGULARFORM "dye")
	      (THIRDSINGULARFORM "dyes") (PLURALFORM "dye")
	      (FIRSTSINGULARPASTFORM "dyed") (SECONDSINGULARPASTFORM "dyed")
	      (THIRDSINGULARPASTFORM "dyed") (PLURALPASTFORM "dyed")
	      (EDPARTICIPLEFORM "dyed"))
 :date "95Jul13 14:30"
 :editor "Jakeway")
(lexical-item
 :name DYSFUNCTION
 :spelling "dysfunction"
 :sample-sentence "Her mental dysfunction was a nuisance."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul18 13:25"
 :editor "Jakeway")
(lexical-item
 :name EARLY
 :spelling "early"
 :sample-sentence "This is an early sign of spring."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS DEGREE INTRINSIC NOT-PREDICATEONLY
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      SIZE ER-EST)
 :date "95Jun20 11:50"
 :editor "Jakeway")
(lexical-item
 :name EASILY
 :spelling "easily"
 :sample-sentence "She stopped easily within space allotted her."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jul6 13:15"
 :editor "Jakeway")
(lexical-item
 :name ECHOCARDIOGRAPHY
 :spelling "echocardiography"
 :sample-sentence "Among other tests, he has had an echocardiography."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 19:30"
 :editor "Jakeway")
(lexical-item
 :name EFFORT
 :spelling "effort"
 :sample-sentence "It is an effort to make you better informed."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95May19 11:10"
 :editor "Jakeway")
(lexical-item
 :name ELDERLY
 :spelling "elderly"
 :sample-sentence "My elderly patients are quite spry."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS DEGREE INTRINSIC NOT-PREDICATEONLY
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      SIZE MORE-MOST)
 :date "95Jun23 21:25"
 :editor "Jakeway")
(lexical-item
 :name EMPTY-LEX
 :spelling ""
 :sample-sentence ""
 :features (LINKER NOT-PUNCTUATION NOT-SENTENCECONJUNCTION SUBORDINATOR
		   NONE-OF-CONJUNCT-CONJUNCTIVE)
 :date "95May19 10:50"
 :editor "Jakeway")
(lexical-item
 :name END
 :spelling "end"
 :sample-sentence "What happens after the end of this life?"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 13:10"
 :editor "Jakeway")
(lexical-item
 :name ENSURE
 :spelling "ensure"
 :sample-sentence "Can you ensure they will participate in the deal?"
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED NOT-PASSIVE
		 NOT-COPULA NOT-ADJECTIVECOMP NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-THATCOMP NOT-BAREINFINITIVECOMP NOT-TOCOMP S-D
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE RELATIONAL INTENSION
		 ASCRIPTIVE MEASUREASCRIPTION COVER NOT-OBJECTNOTREQUIRED)
 :date "95Jun19 17:40"
 :editor "Jakeway")
(lexical-item
 :name ESSENTIAL
 :spelling "essential"
 :sample-sentence "Health care is an essential service."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 12:30"
 :editor "Jakeway")
(lexical-item
 :name ESPECIALLY
 :spelling "especially"
 :sample-sentence "This is an especially good work."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jul27 23:15"
 :editor "Jakeway")
(lexical-item
 :name EVALUATION
 :spelling "evaluation"
 :sample-sentence "What does your evaluation say?"
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION EVAULATE))  ; not defined
 :date "95Jul19 18:10"
 :editor "Jakeway")
(lexical-item
 :name EXACT
 :spelling "exact"
 :sample-sentence "The exact problem hasn't been identified."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY MORE-MOST)
 :date "95Mar27 13:20"
 :editor "Jakeway")
(lexical-item
 :name EXCESS
 :spelling "excess"
 :sample-sentence "He's had excess ice cream cones."
 :features (ADJECTIVE NONDEGREE COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      APPROPRIATENESS)
 :date "95Jun23 21:30"
 :editor "Jakeway")
(lexical-item
 :name EXCHANGE
 :spelling "exchange"
 :sample-sentence "Can I exchange the coat I bought:  it's got a hole."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB DISPOSAL EFFECTIVE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED
		 NOT-COPULA PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 NOT-THATCOMP)
 :date "95Jul13 14:45"
 :editor "Jakeway")
(lexical-item
 :name EXCHANGE-NOUN
 :spelling "exchange"
 :sample-sentence "What went on at the telephone exchange?"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 14:50"
 :editor "Jakeway")
(lexical-item
 :name EXERCISE-NOUN
 :spelling "exercise"
 :sample-sentence "The physiotherapy exercises are quite easy."
 :features (NOUN S COMMON NOT-NOMINALIZABLE COUNTABLE)
 :date "95Jun19 18:15"
 :editor "Jakeway")
(lexical-item
 :name EXERCISE-VERB
 :spelling "exercise"
 :sample-sentence "When I last saw her, she was exercising."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB EVENT MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jul28 00:45"
 :editor "Jakeway")
(lexical-item
 :name EXPERIENCE
 :spelling "experience"
 :sample-sentence "I experienced severe stress."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
  :date "95Jul18 13:25"
  :editor "Jakeway")
(lexical-item
 :name EXPLAIN
 :spelling "explain"
 :sample-sentence "My doctor explained it to me."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 SYMBOLICVERB SAYING MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 THATCOMP NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED
		 NOT-COPULA PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT)
 :date "95Mar25 11:35"
 :editor "Jakeway")
(lexical-item
 :name FACE-NOUN
 :spelling "face"
 :sample-sentence "I can see your face in the mirror."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul8 10:45"
 :editor "Jakeway")
(lexical-item
 :name FACEPLATE
 :spelling "faceplate"
 :sample-sentence "My faceplate protected me from the bomb blast."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul8 10:45"
 :editor "Jakeway")
(lexical-item
 :name FAIL
 :spelling "fail"
 :sample-sentence "None of the students failed this year."
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED BITRANSITIVE PASSIVE NOT-COPULA
		 NOT-ADJECTIVECOMP SYMBOLICVERB TELLING EFFECTIVE
		 NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP S-ED
		 NOT-OBJECTNOTREQUIRED)
 :date "95Jul28 00:50"
 :editor "Jakeway")
(lexical-item
 :name FAILURE
 :spelling "failure"
 :sample-sentence "I don't want to be a failure."
 :features (NOUN S COMMON NOT-NOMINALIZABLE COUNTABLE)
 :date "95Jul27 23:35"
 :editor "Jakeway")
(lexical-item
 :name FED-BUREAU
 :spelling "Federal Bureau of Lifestyle Evaluation"
 :sample-sentence "The Federal Bureau of Lifestyle Evaluation is wrong."
 :features (NOUN NOINFLECTIONS PROPERNOUN COUNTABLE NOT-DETERMINERREQUIRED
		 NOT-PROVENANCE NOT-PERIOD)
 :date "95Jul19 17:55"
 :editor "Jakeway")
(lexical-item
 :name FEDERAL
 :spelling "federal"
 :sample-sentence "Canada has a few federal problems."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul19 18:00"
 :editor "Jakeway")
(lexical-item
 :name FEMUR
 :spelling "femur"
 :sample-sentence "The femur is the bone in your thigh."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 12:55"
 :editor "Jakeway")
(lexical-item
 :name FIT
 :spelling "fit"
 :sample-sentence "Can the square peg fit in the round hole?"
 :features (VERB INFLECTABLE UNITARYSPELLING S-*ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Jun19 13:10"
 :editor "Jakeway")
(lexical-item
 :name FOLLOW-UP
 :spelling "follow-up"
 :sample-sentence "You will need follow-up care."
 :features (ADJECTIVE CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 12:30"
 :editor "Jakeway")
(lexical-item
 :name FORMER
 :spelling "former"
 :sample-sentence "My former roommate was wonderful!"
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul18 13:30"
 :editor "Jakeway")
(lexical-item
 :name FRACTURE
 :spelling "fracture"
 :sample-sentence "He had a fracture in his fibula."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 19:40"
 :editor "Jakeway")
(lexical-item
 :name FRIGHTEN
 :spelling "frighten"
 :sample-sentence "Don't frighten the ghost!"
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED BITRANSITIVE PASSIVE NOT-COPULA
		 NOT-ADJECTIVECOMP SYMBOLICVERB TELLING EFFECTIVE
		 NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP S-ED
		 NOT-OBJECTNOTREQUIRED)
 :date "95May19 11:05"
 :editor "Jakeway")
(lexical-item
 :name GENDER
 :spelling "gender"
 :sample-sentence "Gender really does make a difference."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul18 13:30"
 :editor "Jakeway")
(lexical-item
 :name GENERAL
 :spelling "general"
 :sample-sentence "The general secretary of the UN came by today."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 18:50"
 :editor "Jakeway")
(lexical-item
 :name GLIDE
 :spelling "glide"
 :sample-sentence "He glided effortlessly across the smooth ice."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB EVENT MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jul6 13:20"
 :editor "Jakeway")
(lexical-item
 :name GRAFTING
 :spelling "grafting"
 :sample-sentence "Bone grafting is a way to increase your amount of bone."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 21:40"
 :editor "Jakeway")
(lexical-item
 :name GRIND
 :spelling "grind"
 :sample-sentence "There will be weeping and grinding of teeth."
 :features (VERB INFLECTABLE UNITARYSPELLING S-IRR PASTFORM EDPARTICIPLEFORM
		 LEXICAL NOT-CASEPREPOSITIONS TOCOMP NP-TOCOMPNOTPERMITTED
		 NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTNOTPERMITTED MIDDLE
		 EXPERIENCEVERB COGNITION EPISTEMIC NOT-ADJECTIVECOMP
		 NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP)
 :properties ((PASTFORM "ground") (EDPARTICIPLEFORM "ground"))
 :date "95Jun19 13:15"
 :editor "Jakeway")
(lexical-item
 :name GUARANTEE
 :spelling "guarantee"
 :sample-sentence "He is a deposit guaranteeing our inheritance."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95May23 16:25"
 :editor "Jakeway")
(lexical-item
 :name GUARANTEE-NOUN
 :spelling "guarantee"
 :sample-sentence "This guarantee is only applicable in the two situations."
 :features (NOUN S COMMON NOT-NOMINALIZABLE COUNTABLE)
 :date "95May23 16:20"
 :editor "Jakeway")
(lexical-item
 :name HARVEST
 :spelling "harvest"
 :sample-sentence "We have to harvest the grain this week."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-TOCOMP
		 NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 NOT-SUBJECTCOMP NOT-PARTICIPLECOMP NOT-BAREINFINITIVECOMP
		 MIDDLE DOVERB EVENT OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jul13 14:55"
 :editor "Jakeway")
(lexical-item
 :name HEAD
 :spelling "head"
 :sample-sentence  "the ship is heading straight for him!"
 :features  (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		  NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED
		  NOT-OBJECTNOTREQUIRED NOT-COPULA NOT-PASSIVE
		  NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE DOVERB EVENT
		  NOT-ADJECTIVECOMP SUBJECTCOMP NOT-PARTICIPLECOMP NOT-THATCOMP
		  NOT-BAREINFINITIVECOMP)
 :comments "process"
 :date "10/26/88 12:08:51"
 :editor "HOVY")
(lexical-item
 :name HEAD-NOUN
 :spelling "head"
 :sample-sentence "He is the head of all creation."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul12 21:35"
 :editor "Jakeway")
(lexical-item
 :name HEALING
 :spelling "healing"
 :sample-sentence "The bone healing capabilities of each patient differ."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 15:50"
 :editor "Jakeway")
(lexical-item
 :name HEALTH
 :spelling "health"
 :sample-sentence "The health care system is in disrepair."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun20 12:40"
 :editor "Jakeway")
(lexical-item
 :name HEART
 :spelling "heart"
 :sample-sentence "I can feel your heart beating quite strongly."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 16:40"
 :editor "Jakeway")
(lexical-item
 :name HEAVY
 :spelling "heavy"
 :sample-sentence "What a heavy load!"
 :features (ADJECTIVE NOT-CASEPREPOSITIONS DEGREE INTRINSIC NOT-PREDICATEONLY
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      SIZE ER-EST)
 :date "95Jun23 21:40"
 :editor "Jakeway")
(lexical-item
 :name HIGH-DEMAND
 :spelling "high-demand"
 :sample-sentence "This case is very high-demand."
 :features (ADJECTIVE CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 13:15"
 :editor "Jakeway")
(lexical-item
 :name HIP
 :spelling "hip"
 :sample-sentence "My new hip is holding out, so far."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 16:40"
 :editor "Jakeway")
(lexical-item
 :name HISTORY
 :spelling "history"
 :sample-sentence "My family doesn't have a history of eye diseases."
 :features (NOUN ES COMMON NOT-NOMINALIZABLE COUNTABLE)
 :date "95Jun19 18:15"
 :editor "Jakeway")
(lexical-item
 :name HOME-NOUN
 :spelling "home"
 :sample-sentence "My home is in Edmonton."
 :features (NOUN S COMMON NOT-NOMINALIZABLE COUNTABLE)
 :date "95Jun19 18:15"
 :editor "Jakeway")
(lexical-item
 :name IMPLANT
 :spelling "implant"
 :sample-sentence "Your hip implant should function better than your old hip."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 16:20"
 :editor "Jakeway")
(lexical-item
 :name IMPLANTATION
 :spelling "implantation"
 :sample-sentence "The implantation in your hip should be as good as before."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP
		 MATERIAL)
 :properties ((NOMINALIZATION IMPLANT))
 :date "95Mar30 19:35"
 :editor "Jakeway")
(lexical-item
 :name INCOMPLETE
 :spelling "incomplete"
 :sample-sentence "Why was your test incomplete?"
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul28 18:10"
 :editor "Jakeway")
(lexical-item
 :name INDISTINGUISHABLE
 :spelling "indistinguishable"
 :sample-sentence "The copy was indistiguishable from the original."
 :features (ADJECTIVE DEGREE MORE-MOST COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      NONE-OF-APPROPRIATENESS-POSSIBILITYPROPERTY-OBVIOUSNESS)
 :date "95Jul13 14:55"
 :editor "Jakeway")
(lexical-item
 :name INFARCTION
 :spelling "infarction"
 :sample-sentence "The king had a myocardiac infarction."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION INFARCT))  ; not defined
 :date "95Jun19 18:25"
 :editor "Jakeway")
(lexical-item
 :name INFECTION
 :spelling "infection"
 :sample-sentence "I doctor says I have an infection."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION INFECT))  ; not defined
 :date "95Mar27 12:35"
 :editor "Jakeway")
(lexical-item
 :name INFLAMMATION
 :spelling "inflammation"
 :sample-sentence "It looks like he has an inflammation of the cerebrum."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION INFLAME))  ; not defined
 :date "95Jun23 19:45"
 :editor "Jakeway")
(lexical-item
 :name INFORMATION
 :spelling "information"
 :sample-sentence "Information overload in the Infomation Age."
 :features (NOUN COMMON NOMINALIZATION UNCOUNTABLE)
 :properties ((NOMINALIZATION INFORM))  ; not defined
 :date "95Apr24 14:15"
 :editor "Jakeway")
(lexical-item
 :name INFORMED
 :spelling "informed"
 :sample-sentence "Too much information can make informed decisions difficult."
 :features (ADJECTIVE DEGREE MORE-MOST
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Apr24 14:15"
 :editor "Jakeway")
(lexical-item
 :name INJURY
 :spelling "injury"
 :sample-sentence "I had an injury in my forearm."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :date "95Jun23 19:45"
 :editor "Jakeway")
(lexical-item
 :name INSECURE
 :spelling "insecure"
 :sample-sentence "The insecure boy rode home wobbling on his bike."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul18 13:35"
 :editor "Jakeway")
(lexical-item
 :name INSERT
 :spelling "insert"
 :sample-sentence "Insert the mouse cable into the back of the computer."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95May23 16:10"
 :editor "Jakeway")
(lexical-item
 :name INSTANCE
 :spelling "instance"
 :sample-sentence "box-23 is an instance of the class Box."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE THATCOMP)
 :date "95Mar30 15:25"
 :editor "Jakeway")
(lexical-item
 :name INSTITUTE-NOUN
 :spelling "institute"
 :sample-sentence "I'm going to the cancer institute for some tests."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE
		 NONSUBSTITUTE NONE-OF-THATCOMP-TYPIC)
 :date "95Jul19 19:00"
 :editor "Jakeway")
(lexical-item
 :name INTENSIFY
 :spelling "intensify"
 :sample-sentence "The police intensified their search for the downed pilot."
 :features (VERB INFLECTABLE ES-ED LEXICAL NOT-CASEPREPOSITIONS OBJECTPERMITTED
		 NOT-TOCOMP QUESTIONCOMP PARTICIPLECOMP NOT-MAKECOMP
		 BAREINFINITIVECOMP NOT-COPULA PASSIVE THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT EXPERIENCEVERB PERCEPTION
		 MIDDLE OBJECTNOTREQUIRED NOT-SUBJECTCOMP UNITARYSPELLING)
 :date "95Jun21 17:05"
 :editor "Jakeway")
(lexical-item
 :name INTELLECTUAL-ADJ
 :spelling "intellectual"
 :sample-sentence "His intellectual abilities are quite remarkable."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul13 15:00"
 :editor "Jakeway")
(lexical-item
 :name INTELLECTUAL-NOUN
 :spelling "intellectual"
 :sample-sentence "C.S. Lewis was an intellectual."
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 15:00"
 :editor "Jakeway")
(lexical-item
 :name INVASIVE
 :spelling "invasive"
 :sample-sentence "Invasive procedures have more problems."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 10:35"
 :editor "Jakeway")
(lexical-item
 :name INVOLVE
 :spelling "involve"
 :sample-sentence "This involves complex analysis."
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 NONE-OF-SYMBOLICVERB-RELATIONAL-EXPERIENCEVERB-DOVERB MIDDLE
		 OBJECTPERMITTED NOT-TOCOMP NOT-QUESTIONCOMP NOT-PARTICIPLECOMP
		 NOT-MAKECOMP NOT-BAREINFINITIVECOMP COPULA NOT-PASSIVE
		 NOT-THATCOMP NOT-SUBJECTCOMP UNITARYSPELLING S-D
		 OBJECTNOTREQUIRED)
 :date "95Mar27 11:20"
 :editor "Jakeway")
(lexical-item
 :name IRREVERSIBLE
 :spelling "irreversible"
 :sample-sentence "This surgery is irreversible."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Mar27 13:30"
 :editor "Jakeway")
(lexical-item
 :name IRREVERSIBLY
 :spelling "irreversibly"
 :sample-sentence "The building was irreversibly started."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jul21 15:15"
 :editor "Jakeway")
(lexical-item
 :name ISCHEMIA
 :spelling "ischemia"
 :sample-sentence "Ischemia of the heart caused his myocardiac infarction."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 19:50"
 :editor "Jakeway")
(lexical-item
 :name JOINT-NOUN
 :spelling "joint"
 :sample-sentence "The bone joint was quite inflamed."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul11 04:35"
 :editor "Jakeway")
(lexical-item
 :name LEAD-TO   ; fixed from "penman/nigel/lexicons/exercisetexts.lexicon"
 :spelling "lead to"
 :sample-sentence  "Adverse conditions led to this situation"
 :features (VERB INFLECTABLE COMPOUNDSPELLING IRR INGPARTICIPLEFORM
		 FIRSTSINGULARFORM SECONDSINGULARFORM THIRDSINGULARFORM
		 PLURALFORM FIRSTSINGULARPASTFORM SECONDSINGULARPASTFORM
		 THIRDSINGULARPASTFORM PLURALPASTFORM PASTFORM EDPARTICIPLEFORM
		 IMMOVABLEPARTICLES LEXICAL NOT-CASEPREPOSITIONS NOT-TOCOMP
		 NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT NOT-PASSIVE NOT-COPULA
		 NOT-ADJECTIVECOMP RELATIONAL CIRCUMSTANTION CAUSE EFFECTIVE
		 NOT-OBJECTNOTREQUIRED NOT-SUBJECTCOMP PARTICIPLECOMP
		 NOT-THATCOMP NOT-BAREINFINITIVECOMP)
 :properties ((INGPARTICIPLEFORM "leading to")
	      (FIRSTSINGULARFORM "lead to") (SECONDSINGULARFORM "lead to")
	      (THIRDSINGULARFORM "leads to") (PLURALFORM "lead to")
	      (FIRSTSINGULARPASTFORM "led to") (SECONDSINGULARPASTFORM "led to")
	      (THIRDSINGULARPASTFORM "led to") (PLURALPASTFORM "led to")
	      (EDPARTICIPLEFORM "led to"))
 :date "Wednesday the ninth of April, 1986; 11:13:17 am"
 :editor  "CUMMING")
(lexical-item
 :name LEG
 :spelling "leg"
 :sample-sentence "Your legs will be immobile for a while."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 21:40"
 :editor "Jakeway")
(lexical-item
 :name LESS-THAN-ONE-PERCENT   ; sort of a kludge
 :spelling "less than a one percent"
 :sample-sentence "There is a less than one percent risk of death."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul27 22:30"
 :editor "Jakeway")
(lexical-item
 :name LIFESTYLE
 :spelling "lifestyle"
 :sample-sentence "Some lifestyles are morally better than others."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul19 18:10"
 :editor "Jakeway")
(lexical-item
 :name LIFETIME
 :spelling "lifetime"
 :sample-sentence "This guarantee will last a lifetime."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun20 13:20"
 :editor "Jakeway")
(lexical-item
 :name LIFTING
 :spelling "lifting"
 :sample-sentence "Weight lifting is a sport."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION LIFT))  ; not defined
 :date "95Jun23 21:45"
 :editor "Jakeway")
(lexical-item
 :name LIGAMENT
 :spelling "ligament"
 :sample-sentence "?Your ligaments are quite important."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 21:45"
 :editor "Jakeway")
(lexical-item
 :name LIGHT
 :spelling "light"
 :sample-sentence "I can't believe how light this is!"
 :features (ADJECTIVE NOT-CASEPREPOSITIONS DEGREE INTRINSIC NOT-PREDICATEONLY
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      SIZE ER-EST)
 :date "95Jun23 21:45"
 :editor "Jakeway")
(lexical-item
 :name LIMITATION
 :spelling "limitation"
 :sample-sentence "There are two limitations, of course."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP
		 NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :properties ((NOMINALIZATION LIMIT))  ; not defined
 :date "95Jun20 11:50"
 :editor "Jakeway")
(lexical-item
 :name LIP
 :spelling "lip"
 :sample-sentence "Her lips drew close to mine."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul21 11:30"
 :editor "Jakeway")
(lexical-item
 :name LOOSEN
 :spelling "loosen"
 :sample-sentence "Loosen your shoelaces!"
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED BITRANSITIVE PASSIVE NOT-COPULA
		 NOT-ADJECTIVECOMP SYMBOLICVERB TELLING EFFECTIVE
		 NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP S-ED
		 NOT-OBJECTNOTREQUIRED)
 :date "95Mar30 22:20"
 :editor "Jakeway")
(lexical-item
 :name LOW-DEMAND
 :spelling "low-demand"
 :sample-sentence "You need to do some low-demand activities."
 :features (ADJECTIVE CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 21:50"
 :editor "Jakeway")
(lexical-item
 :name LOWERING
 :spelling "lowering"
 :sample-sentence "She had a temporary lowering of blood pressure."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION LOWER))  ; not defined
 :date "95Mar27 17:30"
 :editor "Jakeway")
(lexical-item
 :name MAGNETIC
 :spelling "magnetic"
 :sample-sentence "The magnetic disk is a revolution for information retrieval."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      MATERIAL NOT-PREDICATEONLY)
 :date "95Jul18 10:50"
 :editor "Jakeway")
(lexical-item
 :name MATCH
 :spelling "match"
 :sample-sentence "Do these programs match?"
 :features (VERB INFLECTABLE UNITARYSPELLING ES-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Jul18 13:45"
 :editor "Jakeway")
(lexical-item
 :name MATHEMATICS
 :spelling "mathematics"
 :sample-sentence "Calculus was a revolution in mathematics."
 :features (NOUN NOT-NOMINALIZATION COMMON UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 15:05"
 :editor "Jakeway")
(lexical-item
 :name MAXIMUM
 :spelling "maximum"
 :sample-sentence "The maximum time on the trampoline is 15 minutes."
 :features (NOUN IRR PLURALFORM COMMON NOT-NOMINALIZATION COUNTABLE
		 NONSUBSTITUTE NONE-OF-THATCOMP-TYPIC)
 :properties ((PLURALFORM "maxima"))
 :date "95Jun19 18:25"
 :editor "Jakeway")
(lexical-item
 :name MAYNT
 :spelling "may not"
 :sample-sentence "You may not use this computer."
 :features (VERB NONINFLECTABLE MODALAUXILIARY POSSIBILITY-AUX NOT-ABILITY-AUX
		 MODAL-AUX MODALITYNEGATIVE NOT-FUTUREAUXILIARY)
 :date "97Jan21 18:45"
 :editor "JLL")
(lexical-item
 :name MEDICAL
 :spelling "medical"
 :sample-sentence "Did you see the medical doctor?"
 :features (ADJECTIVE CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun21 17:10"
 :editor "Jakeway")
(lexical-item
 :name MEDICATION
 :spelling "medication"
 :sample-sentence "Did you try your new medication?"
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION MEDICATE))  ; not defined
 :date "95Jun23 19:55"
 :editor "Jakeway")
(lexical-item
 :name MENTAL
 :spelling "mental"
 :sample-sentence "His mental abilities were surprising."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul19 17:45"
 :editor "Jakeway")
(lexical-item
 :name MIGHTNT
 :spelling "might not"
 :sample-sentence "They might not go to Australia for their honeymoon."
 :features (VERB NONINFLECTABLE MODALAUXILIARY POSSIBILITY NOT-ABILITY-AUX
		 MODALITYNEGATIVE NOT-FUTUREAUXILIARY CONDITIONALITY MODAL-AUX)
 :date "97Jan21 18:45"
 :editor "Jakeway")
(lexical-item
 :name MILE
 :spelling "mile"
 :sample-sentence "We've gone a mile already."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
                 NONE-OF-THATCOMP-TYPIC)
 :date "Apr15-95"
 :editor "WW")
(lexical-item
 :name MINIMAL
 :spelling "minimal"
 :sample-sentence "You have minimal chance of having another heart attack."
 :features (ADJECTIVE CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 12:00"
 :editor "Jakeway")
(lexical-item
 :name MINIMIZE
 :spelling "minimize"
 :sample-sentence "We need to minimize the pain."
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS OBJECTPERMITTED
		 NOT-TOCOMP NOT-PARTICIPLECOMP NOT-MAKECOMP
		 NOT-BAREINFINITIVECOMP NOT-COPULA NOT-THATCOMP
		 NOT-ADJECTIVECOMP NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 RELATIONAL CIRCUMSTANTION MATTER NOT-SUBJECTCOMP
		 UNITARYSPELLING S-D NOT-QUESTIONCOMP EFFECTIVE NOT-PASSIVE
		 NOT-OBJECTNOTREQUIRED)
 :date "95Mar26 00:15"
 :editor "Jakeway")
(lexical-item
 :name MOBILITY
 :spelling "mobility"
 :sample-sentence "You have good mobility"
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION MOBILE))  ; not defined
 :date "95Mar25 22:50"
 :editor "Jakeway")
(lexical-item
 :name MODERATE
 :spelling "moderate"
 :sample-sentence "He is a moderate."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS DEGREE INTRINSIC NOT-PREDICATEONLY
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      SIZE MORE-MOST)
 :date "95Jun23 21:50"
 :editor "Jakeway")
(lexical-item
 :name MONITORING
 :spelling "monitoring"
 :sample-sentence "If you undergo careful monitoring, you may be fine."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION MONITOR))  ; not defined
 :date "95Jun23 20:05"
 :editor "Jakeway")
(lexical-item
 :name MONTH
 :spelling "month"
 :sample-sentence "There are twelve months in a year."
 :features  (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		  NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 21:50"
 :editor "Jakeway")
(lexical-item
 :name MOTION
 :spelling "motion"
 :sample-sentence "Your range of motion is very good."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 12:30"
 :editor "Jakeway")
(lexical-item
 :name MOTIVATION
 :spelling "motivation"
 :sample-sentence "I have lost all my motivation today."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION MOVIVATE))  ; not defined
 :date "95Jun23 19:55"
 :editor "Jakeway")
(lexical-item
 :name MOVEMENT
 :spelling "movement"
 :sample-sentence "The movement of troops in Bosnia-Hercegovina is ominous."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION MOVE))  ; not defined
 :date "95Jun19 13:15"
 :editor "Jakeway")
(lexical-item
 :name MUSCLE
 :spelling "muscle"
 :sample-sentence "You must bulk up your muscle."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 18:30"
 :editor "Jakeway")
(lexical-item
 :name MYOCARDIAL
 :spelling "myocardial"
 :sample-sentence "A myocardial infarction is a heart attack."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      MATERIAL PROVENANCE NOT-PREDICATEONLY)
 :date "95Jun19 19:20"
 :editor "Jakeway")
(lexical-item
 :name NATIONAL
 :spelling "national"
 :sample-sentence "National defense is not a priority in Canada."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul19 17:50"
 :editor "Jakeway")
(lexical-item
 :name NATURAL
 :spelling "natural"
 :sample-sentence "That problems with you new hip will occur is natural."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      MATERIAL NOT-PREDICATEONLY)
 :date "95Jul12 21:40"
 :editor "Jakeway")
(lexical-item
 :name NATURE
 :spelling "nature"
 :sample-sentence "This is typical of problems of this nature."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar27 13:25"
 :editor "Jakeway")
(lexical-item
 :name NEAR-COMPLETE
 :spelling "near-complete"
 :sample-sentence "His near-complete house has only the windows to be put in."
 :features (ADJECTIVE CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul21 11:25"
 :editor "Jakeway")
(lexical-item
 :name NECK
 :spelling "neck"
 :sample-sentence "A giraffe's neck is quite long."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul12 21:40"
 :editor "Jakeway")
(lexical-item
 :name NEGATIVE
 :spelling "negative"
 :sample-sentence "He has a negative attitude."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP SUBJECTLOWERING SUBJECTCOMP THATCOMP
		      PREDICATEONLY)
 :date "95Jun20 10:40"
 :editor "Jakeway")
(lexical-item
 :name NEUROLOGIC
 :spelling "neurologic"
 :sample-sentence "Neurologic problems may occur."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      MATERIAL NOT-PREDICATEONLY)
 :date "95Mar30 13:45"
 :editor "Jakeway")
(lexical-item
 :name NEUROLOGICAL
 :spelling "neurological"
 :sample-sentence "Neurological problems may occur."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      MATERIAL NOT-PREDICATEONLY)
 :date "95Mar27 12:50"
 :editor "Jakeway")
(lexical-item
 :name NON-ATHLETIC
 :spelling "non-athletic"
 :sample-sentence "He's pretty non-athletic."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 21:55"
 :editor "Jakeway")
(lexical-item
 :name NON-CEMENTED
 :spelling "non-cemented"
 :sample-sentence "There are two types of implants:  cemented and non-cemented."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 21:55"
 :editor "Jakeway")
(lexical-item
 :name NON-HEAD-RELATED
 :spelling "non-head-related"
 :sample-sentence "Non-head-related injuries tend to be less severe."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul13 15:10"
 :editor "Jakeway")
(lexical-item
 :name NON-THINKING
 :spelling "non-thinking"
 :sample-sentence "I replaced my non-thinking head for a state-of-the-are one."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul13 15:10"
 :editor "Jakeway")
(lexical-item
 :name NON-WEIGHT-BEARING
 :spelling "non-weight-bearing"
 :sample-sentence "You should be non-weight-bearing for a couple months."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 21:55"
 :editor "Jakeway")
(lexical-item
 :name NONINVASIVE
 :spelling "noninvasive"
 :sample-sentence "noninvasive procedures have less problems."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 10:35"
 :editor "Jakeway")
(lexical-item
 :name NOONE
 :spelling "no one"
 :sample-sentence "No one knew what hit them."
 :features (PRONOUN NONINTERROGATIVE CASE STEMFORM INDEFINITEPRONOUN NUMBER)
 :properties ((CASE SUBJECT OBJECT) (STEMFORM NOONE) (NUMBER SINGULAR-PLURAL ))
 :date "95May23 17:25"
 :editor "Jakeway")
(lexical-item
 :name NUMBNESS
 :spelling "numbness"
 :sample-sentence "Your numbness should disappear in a couple days."
 :features (NOUN ES COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP
		 NOT-MATERIAL)
 :properties ((NOMINALIZATION NUMB))  ; not defined
 :date "95Mar27 12:30"
 :editor "Jakeway")
(lexical-item
 :name OBTAIN
 :spelling "obtain"
 :sample-sentence "When did you obtain your day pass?"
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-TOCOMP
		 NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP NOT-SUBJECTCOMP
		 NOT-PARTICIPLECOMP NOT-BAREINFINITIVECOMP MIDDLE DOVERB EVENT
		 OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jun19 19:25"
 :editor "Jakeway")
(lexical-item
 :name OCCUR
 :spelling "occur"
 :sample-sentence "Really, officer, it occurred just as I said."
 :features (VERB INFLECTABLE UNITARYSPELLING S-*ED LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 RELATIONAL MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP EXISTENTIAL OBJECTNOTPERMITTED
		 NOT-THATCOMP)
 :date "95Mar27 12:50"
 :editor "Jakeway")
(lexical-item
 :name OFTEN
 :spelling "often"
 :sample-sentence "We go rollerblading quite often."
 :features (ADVERB NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE
		   NOT-LIMITER OTHERADVERB)
 :date "95Mar30 19:25"
 :editor "Jakeway")
(lexical-item
 :name ONE-PERCENT
 :spelling "one-percent"
 :sample-sentence "There was a one-percent margin of error."
 :features (NOUN COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun13 19:35"
 :editor "Jakeway")
(lexical-item
 :name OPERATION
 :spelling "operation"
 :sample-sentence "The operation was a success."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun13 14:00"
 :editor "Jakeway")
(lexical-item
 :name ORIGINAL
 :spelling "original"
 :sample-sentence "Your original heart was much better than this artifical one."
 :features (ADJECTIVE CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Mar30 19:40"
 :editor "Jakeway")
(lexical-item
 :name OUTCOME
 :spelling "outcome"
 :sample-sentence "Consider the outcome of their way of life."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul19 18:15"
 :editor "Jakeway")
(lexical-item
 :name OWNER
 :spelling "owner"
 :sample-sentence "Who is the owner of this dog?"
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul27 01:00"
 :editor "Jakeway")
(lexical-item
 :name PAIN
 :spelling "pain"
 :sample-sentence "Your pain should subside in a couple days."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP
		 NOT-MATERIAL)
 :date "95Mar30 13:45"
 :editor "Jakeway")
(lexical-item
 :name PAINLESS
 :spelling "painless"
 :sample-sentence "Don't worry, this procedure is relatively painless."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTHOLD SUBJECTCOMP
		      APPROPRIATENESS NOT-PREDICATEONLY THATCOMP
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun19 13:25"
 :editor "Jakeway")
(lexical-item
 :name PARASITE
 :spelling "parasite"
 :sample-sentence "He was quite a parasite."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul19 18:15"
 :editor "Jakeway")
(lexical-item
 :name PARTICULARLY
 :spelling "particularly"
 :sample-sentence "He was particularly annoyed with the memory limitations."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jul11 14:45"
 :editor "Jakeway")
(lexical-item
 :name PATIENT
 :spelling "patient"
 :sample-sentence "The patient behaved rather well today."
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 16:30"
 :editor "Jakeway")
(lexical-item
 :name PELVIS
 :spelling "pelvis"
 :sample-sentence "The femur is attached to the pelvis."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 13:00"
 :editor "Jakeway")
(lexical-item
 :name PERCEIVE
 :spelling "perceive"
 :sample-sentence "Do you perceive the difference between these pictures?"
 :features (VERB INFLECTABLE S-D LEXICAL NOT-CASEPREPOSITIONS OBJECTPERMITTED
		 NOT-TOCOMP QUESTIONCOMP PARTICIPLECOMP NOT-MAKECOMP
		 BAREINFINITIVECOMP NOT-COPULA PASSIVE THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT EXPERIENCEVERB PERCEPTION
		 MIDDLE OBJECTNOTREQUIRED NOT-SUBJECTCOMP UNITARYSPELLING
		 VISUAL)
 :date "95Jul18 13:45"
 :editor "Jakeway")
(lexical-item
 :name PERFORM
 :spelling "perform"
 :sample-sentence "The play was performed brilliantly."
 :features  (VERB INFLECTABLE UNITARYSPELLING S-ED  LEXICAL CASEPREPOSITIONS
		  NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		  NOT-SUBJECTCOMP NOT-PARTICIPLECOMP NOT-BAREINFINITIVECOMP
		  MIDDLE DOVERB EVENT OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jun20 18:45"
 :editor "Jakeway")
(lexical-item
 :name PERIOPERATIVE
 :spelling "perioperative"
 :sample-sentence "A perioperative complication is undesirable."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun19 19:55"
 :editor "Jakeway")
(lexical-item
 :name PERMANENT
 :spelling "permanent"
 :sample-sentence "This implant is supposed to be permanent."
 :features (ADJECTIVE CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 12:00"
 :editor "Jakeway")
(lexical-item
 :name PERSONALITY
 :spelling "personality"
 :sample-sentence "He has a pleasant personality."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 13:50"
 :editor "Jakeway")
(lexical-item
 :name PERSUADE
 :spelling "persuade"
 :sample-sentence "He's easy to persuade:  try it!"
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NP-TOCOMPREQUIRED NOT-QUESTIONCOMP
		 NOT-MAKECOMP NOT-ADJECTIVECOMP EXPERIENCEVERB EFFECTIVE
		 SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP COGNITION
		 EPISTEMIC NOT-SUBJECTLOWERING NOT-FORNPPERMITTED
		 OBJECTPERMITTED NOT-OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT)
 :date "95Jul13 14:35"
 :editor "Jakeway")
(lexical-item
 :name PHILOSOPHICAL
 :spelling "philosophical"
 :sample-sentence "He was pretty philosophical about his injury."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul13 15:15"
 :editor "Jakeway")
(lexical-item
 :name PHILOSOPHIZE
 :spelling "philosophize"
 :sample-sentence "Let's do some philosophizing."
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS OBJECTPERMITTED
		 NOT-TOCOMP NOT-PARTICIPLECOMP NOT-MAKECOMP
		 NOT-BAREINFINITIVECOMP NOT-COPULA NOT-THATCOMP
		 NOT-ADJECTIVECOMP NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 RELATIONAL CIRCUMSTANTION MATTER NOT-SUBJECTCOMP
		 UNITARYSPELLING S-D NOT-QUESTIONCOMP EFFECTIVE NOT-PASSIVE
		 NOT-OBJECTNOTREQUIRED)
 :date "95Jul12 21:45"
 :editor "Jakeway")
(lexical-item
 :name PHOBIA
 :spelling "phobia"
 :sample-sentence "Evil is his phobia."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 13:50"
 :editor "Jakeway")
(lexical-item
 :name PHYSICAL
 :spelling "physical"
 :sample-sentence "Physical fitness is very important."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun19 19:55"
 :editor "Jakeway")
(lexical-item
 :name PHYSIOTHERAPY
 :spelling "physiotherapy"
 :sample-sentence "The physiotherapy was a success."
 :features (NOUN ES COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 20:00"
 :editor "Jakeway")
(lexical-item
 :name PILLOW
 :spelling "pillow"
 :sample-sentence "Now I lay me down to rest on my fluffy pillow."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 22:00"
 :editor "Jakeway")
(lexical-item
 :name PITTED
 :spelling "pitted"
 :sample-sentence "The surface of the moon is pitted with craters."
 :features (ADJECTIVE MORE-MOST DEGREE
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun19 20:05"
 :editor "Jakeway")
(lexical-item
 :name PLACE-NOUN
 :spelling "place"
 :sample-sentence "This is the place where we first met."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar30 14:20"
 :editor "Jakeway")
(lexical-item
 :name PLACEMENT
 :spelling "placement"
 :sample-sentence "The placement of workers in Sarnia was a bad idea."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION PLACE))  ; not defined
 :date "95Mar25 16:20"
 :editor "Jakeway")
(lexical-item
 :name PLASTIC
 :spelling "plastic"
 :sample-sentence "Plastic bodies don't last as long as metal ones."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      MATERIAL NOT-PREDICATEONLY)
 :date "95Jul18 10:50"
 :editor "Jakeway")
(lexical-item
 :name PLEASING
 :spelling "pleasing"
 :sample-sentence "His pleasing appearance won him the lead role."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Ju118 13:55"
 :editor "Jakeway")
(lexical-item
 :name PORTION
 :spelling "portion"
 :sample-sentence "Which portion is mine?"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :date "95Jun19 20:10"
 :editor "Jakeway")
(lexical-item
 :name POSITIVE
 :spelling "positive"
 :sample-sentence "The test results came back postive."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP SUBJECTLOWERING SUBJECTCOMP THATCOMP
		      PREDICATEONLY)
 :date "95Jun20 10:55"
 :editor "Jakeway")
(lexical-item
 :name POSSIBILITY-NOUN
 :spelling "possibility"
 :sample-sentence "The possibility of the first is greater than the second."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul21 11:25"
 :editor "Jakeway")
(lexical-item
 :name POSTMODERN
 :spelling "postmodern"
 :sample-sentence "The postmodern students were quite annoying."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul19 18:20"
 :editor "Jakeway")
(lexical-item
 :name POTENTIAL
 :spelling "potential"
 :sample-sentence "This potential solution has a lot going for it."
 :features (ADJECTIVE NONDEGREE NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Apr24 14:25"
 :editor "Jakeway")
(lexical-item
 :name PRACTICE-NOUN
 :spelling "practice"
 :sample-sentence "They hear your words but do not put them into practice."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar30 15:25"
 :editor "Jakeway")
(lexical-item
 :name PREDICT
 :spelling "predict"
 :sample-sentence "My doctor predicted my disease."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLE COMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Mar25 12:20"
 :editor "Jakeway")
(lexical-item
 :name PREOPERATIVE
 :spelling "preoperative"
 :sample-sentence "The preoperative programme was fairly intensive."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun21 17:15"
 :editor "Jakeway")
(lexical-item
 :name PRESCRIBE
 :spelling "prescribe"
 :sample-sentence "The doctor prescribed 222's."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-TOCOMP
		 NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP NOT-SUBJECTCOMP
		 NOT-PARTICIPLECOMP NOT-BAREINFINITIVECOMP MIDDLE DOVERB EVENT
		 OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jun19 20:15"
 :editor "Jakeway")
(lexical-item
 :name PRESCRIBED
 :spelling "prescribed"
 :sample-sentence "The prescribed exercises were too hard."
 :features (ADJECTIVE NONDEGREE NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun12 21:50"
 :editor "Jakeway")
(lexical-item
 :name PREVIOUS
 :spelling "previous"
 :sample-sentence "My previous car was a Model-T."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul21 19:25"
 :editor "Jakeway")
(lexical-item
 :name PRIMARY
 :spelling "primary"
 :sample-sentence "Secondary surgery is often not as effective as the primary."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTLOWERING SUBJECTCOMP
		      NONE-OF-APPROPRIATENESS-POSSIBILITYPROPERTY-OBVIOUSNESS
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      THATCOMP NOT-PREDICATEONLY)
 :date "95May23 16:10"
 :editor "Jakeway")
(lexical-item
 :name PRIORITY
 :spelling "priority"
 :sample-sentence "This work is of utmost priority."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul19 18:20"
 :editor "Jakeway")
(lexical-item
 :name PROCEDE
 :spelling "procede"
 :sample-sentence "Procede with caution."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB EVENT MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jun23 20:05"
 :editor "Jakeway")
(lexical-item
 :name PROCEDURE
 :spelling "procedure"
 :sample-sentence "The knee replacement procedure is pretty standard."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION PROCEDE))
 :date "95Mar30 13:15"
 :editor "Jakeway")
(lexical-item
 :name PROCESS-NOUN
 :spelling "process"
 :sample-sentence "The Beaucage process is working well!"
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar30 13:15"
 :editor "Jakeway")
(lexical-item
 :name PROPERLY
 :spelling "properly"
 :sample-sentence "She didn't complete the test properly."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jun23 22:00"
 :editor "Jakeway")
(lexical-item
 :name PROPERTY-NOUN
 :spelling "property"
 :sample-sentence "My!  This property is quite expensive."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul19 18:20"
 :editor "Jakeway")
(lexical-item
 :name PROPOSED
 :spelling "proposed"
 :sample-sentence "The proposed amendment doesn't go far enough."
 :features (ADJECTIVE NONDEGREE NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Apr24 14:25"
 :editor "Jakeway")
(lexical-item
 :name PROSTHESIS
 :spelling "prosthesis"
 :sample-sentence "His prosthesis didn't fit him very well."
 :features (NOUN IRR PLURALFORM COMMON NOT-NOMINALIZATION COUNTABLE
		 NONSUBSTITUTE NONE-OF-THATCOMP-TYPIC)
 :properties ((PLURALFORM "prostheses"))
 :date "95Jun23 22:05"
 :editor "Jakeway")
(lexical-item
 :name PURPOSE-NOUN
 :spelling "purpose"
 :sample-sentence "The purpose of this visit is to find out what is wrong."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar30 13:00"
 :editor "Jakeway")
(lexical-item
 :name QUITE
 :spelling "quite"
 :sample-sentence "She's quite unhappy."
 :features (ADVERB NOT-LIMITER INTENSIFIER OTHERADVERB)
 :date "95Jul12 21:30"
 :editor "Jakeway")
(lexical-item
 :name RARELY
 :spelling "rarely"
 :sample-sentence "He was rarely there."
 :features (ADVERB COMPARATIVEADVERB OTHERADVERB LIMITER)
 :date "95Jul21 11:15"
 :editor "Jakeway")
(lexical-item
 :name RECEIVE
 :spelling "receive"
 :sample-sentence "Ask and you shall receive."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-TOCOMP
		 NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 NOT-SUBJECTCOMP NOT-PARTICIPLECOMP NOT-BAREINFINITIVECOMP
		 MIDDLE DOVERB EVENT OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "96Dec09 19:40"
 :editor "JLL")
(lexical-item
 :name RECENT
 :spelling "recent"
 :sample-sentence "The recent amendment doesn't go far enough."
 :features (ADJECTIVE MORE-MOST DEGREE
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun23 20:10"
 :editor "Jakeway")
(lexical-item
 :name RECENTLY
 :spelling "recently"
 :sample-sentence "Have you been to the doctor recently?"
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jul13 15:20"
 :editor "Jakeway")
(lexical-item
 :name RECOMMEND
 :spelling "recommend"
 :sample-sentence "I will recommend you for a promotion."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLE COMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Jun20 12:05"
 :editor "Jakeway")
(lexical-item
 :name REDUCE
 :spelling "reduce"
 :sample-sentence "Reduce, reuse, recycle."
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 NONE-OF-SYMBOLICVERB-RELATIONAL-EXPERIENCEVERB-DOVERB MIDDLE
		 OBJECTPERMITTED NOT-TOCOMP NOT-QUESTIONCOMP NOT-PARTICIPLECOMP
		 NOT-MAKECOMP NOT-BAREINFINITIVECOMP COPULA NOT-PASSIVE
		 NOT-THATCOMP NOT-SUBJECTCOMP UNITARYSPELLING S-D
		 OBJECTNOTREQUIRED)
 :date "95Jun20 13:20"
 :editor "Jakeway")
(lexical-item
 :name REFER
 :spelling "refer"
 :sample-sentence "She was referred to the orthopaedic surgeon."
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED NOT-PASSIVE
		 NOT-COPULA NOT-ADJECTIVECOMP NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-THATCOMP NOT-BAREINFINITIVECOMP NOT-TOCOMP S-*ED
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE RELATIONAL INTENSION
		 ASCRIPTIVE MEASUREASCRIPTION COVER OT-OBJECTNOTREQUIRED)
 :date "95Jun20 11:00"
 :editor "Jakeway")
(lexical-item
 :name REGIMEN
 :spelling "regimen"
 :sample-sentence "We followed the regimen to the letter."
 :features (NOUN S COMMON COUNTABLE NONSUBSTITUTE NOT-NOMINALIZATION THATCOMP)
 :date "95Jun21 17:30"
 :editor "Jakeway")
(lexical-item
 :name REGULAR
 :spelling "regular"
 :sample-sentence "This is my regular time."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTLOWERING SUBJECTCOMP
		      NONE-OF-APPROPRIATENESS-POSSIBILITYPROPERTY-OBVIOUSNESS
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      THATCOMP NOT-PREDICATEONLY)
 :date "95Jun20 13:25"
 :editor "Jakeway")
(lexical-item
 :name REHABILITATION
 :spelling "rehabilitation"
 :sample-sentence "The rehabilitation was a success."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 20:15"
 :editor "Jakeway")
(lexical-item
 :name RELIEF
 :spelling "relief"
 :sample-sentence "I have relief from discomfort."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar25 12:45"
 :editor "Jakeway")
(lexical-item
 :name RELUCTANT
 :spelling "reluctant"
 :sample-sentence "She was very reluctant to join us on our hike."
 :features (ADJECTIVE DEGREE COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      MORE-MOST APPROPRIATENESS)
 :date "95Jul19 18:35"
 :editor "Jakeway")
(lexical-item
 :name REMOVAL
 :spelling "removal"
 :sample-sentence "The removal of cancerous tissue is dangerous."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION REMOVE))  ; not defined
 :date "95Jun19 20:25"
 :editor "Jakeway")
(lexical-item
 :name REPEAT
 :spelling "repeat"
 :sample-sentence "But the crime was repeated the same way!"
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB EVENT MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jun23 20:10"
 :editor "Jakeway")
(lexical-item
 :name REPLACE
 :spelling "replace"
 :sample-sentence "We replaced our new PC."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED NOT-SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED NOT-COPULA
		 PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE
		 EXPERIENCEVERB REACTION NOT-ADJECTIVECOMP NOT-SUBJECTCOMP
		 PARTICIPLECOMP THATCOMP THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Jul11 04:30"
 :editor "Jakeway")
(lexical-item
 :name REPLACEMENT
 :spelling "replacement"
 :sample-sentence "Knee replacement is becoming standard these days."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE)
 :properties ((NOMINALIZATION REPLACE))
 :date "95Apr24 14:35"
 :editor "Jakeway")
(lexical-item
 :name REQUIRE
 :spelling "require"
 :sample-sentence "We required a new PC."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED NOT-SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED NOT-COPULA
		 PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE
		 EXPERIENCEVERB REACTION NOT-ADJECTIVECOMP NOT-SUBJECTCOMP
		 PARTICIPLECOMP THATCOMP THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Jun23 22:10"
 :editor "Jakeway")
(lexical-item
 :name RESISTANCE
 :spelling "resistance"
 :sample-sentence "Your resistance to the pain is amazing."
 :features (NOUN S COMMON NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION RESIST))  ; not defined
 :date "95Mar30 15:25"
 :editor "Jakeway")
(lexical-item
 :name RESTORE
 :spelling "restore"
 :sample-sentence "Yesterday I restored Van Gogh's painting."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
  :date "95Mar26 00:05"
  :editor "Jakeway")
(lexical-item
 :name RESTRICTION-NOUN
 :spelling "restriction"
 :sample-sentence "There are three restrictions you have to be aware of."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP
		 NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :properties ((NOMINALIZATION RESTRICT))  ; not defined
 :date "95Jun20 12:05"
 :editor "Jakeway")
(lexical-item
 :name RESULT-NOUN
 :spelling "result"
 :sample-sentence "The results of this secondary surgery aren't very good."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar30 20:25"
 :editor "Jakeway")
(lexical-item
 :name RETURN
 :spelling "return"
 :sample-sentence "He return home two days early."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB EVENT MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jun19 20:30"
 :editor "Jakeway")
(lexical-item
 :name REVASCULARIZATION
 :spelling "revascularization"
 :sample-sentence "He needs to be referred for a revascularization."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun20 11:00"
 :editor "Jakeway")
(lexical-item
 :name RISK
 :spelling "risk"
 :sample-sentence "I have been informed about the risks."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :date "95Mar27 11:15"
 :editor "Jakeway")
(lexical-item
 :name ROUGH
 :spelling "rough"
 :sample-sentence "The surface of the moon is rough."
 :features (ADJECTIVE MORE-MOST DEGREE
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun19 20:30"
 :editor "Jakeway")
(lexical-item
 :name ROUTINE
 :spelling "routine"
 :sample-sentence "Did you see the routine the gymnast performed!"
 :features (NOUN S COMMON COUNTABLE NONSUBSTITUTE NOT-NOMINALIZATION THATCOMP)
 :date "95Jun23 20:35"
 :editor "Jakeway")
(lexical-item
 :name RUB
 :spelling "rub"
 :sample-sentence "The disk brakes run against the wheel to stop the car."
 :features (VERB INFLECTABLE UNITARYSPELLING S-*ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Jun19 20:35"
 :editor "Jakeway")
(lexical-item
 :name RUNNING
 :spelling "running"
 :sample-sentence "Running will do you some good."
 :features (NOUN NOINFLECTIONS COMMON NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 THATCOMP)
 :properties ((NOMINALIZATION RUN))  ; not defined
 :date "95Jun23 22:25"
 :editor "Jakeway")
(lexical-item
 :name SAVED
 :spelling "saved"
 :sample-sentence "We need to reboot this machine from the last saved state."
 :features (ADJECTIVE NONDEGREE NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jul18 10:55"
 :editor "Jakeway")
(lexical-item
 :name SCARRING
 :spelling "scarring"
 :sample-sentence "The surgery may leave some scarring."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION SCAR))  ; not defined
 :date "95Mar27 12:30"
 :editor "Jakeway")
(lexical-item
 :name SCIENCE
 :spelling "science"
 :sample-sentence "Surgery is an inexact science."
 :features (NOUN S COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95May23 17:45"
 :editor "Jakeway")
(lexical-item
 :name SCINTIGRAPHY
 :spelling "scintigraphy"
 :sample-sentence "Measure his bodily radiation with a scintigraphy."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 20:15"
 :editor "Jakeway")
(lexical-item
 :name SECONDARY
 :spelling "secondary"
 :sample-sentence "Secondary surgery is often not as effective as the primry."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTLOWERING SUBJECTCOMP
		      NONE-OF-APPROPRIATENESS-POSSIBILITYPROPERTY-OBVIOUSNESS
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      THATCOMP NOT-PREDICATEONLY)
 :date "95Mar30 19:20"
 :editor "Jakeway")
(lexical-item
 :name SECURE
 :spelling "secure"
 :sample-sentence "Yesterday I secured the car rental."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
  :date "95Mar30 14:15"
  :editor "Jakeway")
(lexical-item
 :name SELECT
 :spelling "select"
 :sample-sentence "Which cookie did you select?"
 :features (VERB INFLECTABLE LEXICAL NOT-TOCOMP QUESTIONCOMP NOT-MAKECOMP
		 NOT-ADJECTIVECOMP EXPERIENCEVERB COGNITION EPISTEMIC MIDDLE
		 NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP
		 NOT-CASEPREPOSITIONS OBJECTPERMITTED NOT-OBJECTNOTREQUIRED
		 NOT-COPULA PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 UNITARYSPELLING S-ED)
 :date "95Jun21 17:35"
 :editor "Jakeway")
(lexical-item
 :name SERIOUS
 :spelling "serious"
 :sample-sentence "He spoke to her in a very serious tone."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTLOWERING SUBJECTCOMP
		      OBVIOUSNESS THATCOMP NOT-PREDICATEONLY)
 :date "95Jun19 20:25"
 :editor "Jakeway")
(lexical-item
 :name SERVE
 :spelling "serve"
 :sample-sentence "He served me notice that my car was parked illegally."
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 NONE-OF-SYMBOLICVERB-RELATIONAL-EXPERIENCEVERB-DOVERB MIDDLE
		 OBJECTPERMITTED NOT-TOCOMP NOT-QUESTIONCOMP NOT-PARTICIPLECOMP
		 NOT-MAKECOMP NOT-BAREINFINITIVECOMP COPULA NOT-PASSIVE
		 NOT-THATCOMP NOT-SUBJECTCOMP UNITARYSPELLING S-D
		 OBJECTNOTREQUIRED)
 :date "95Jul19 18:40"
 :editor "Jakeway")
(lexical-item
 :name SEVERE
 :spelling "severe"
 :sample-sentence "He went into a severe depression."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTLOWERING SUBJECTCOMP
		      OBVIOUSNESS THATCOMP NOT-PREDICATEONLY)
 :date "95Jul27 23:30"
 :editor "Jakeway")
(lexical-item
 :name SEXUAL
 :spelling "sexual"
 :sample-sentence "They didn't have sexual intercourse until after marriage."
 :features (ADJECTIVE NONDEGREE NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jul18 13:55"
 :editor "Jakeway")
(lexical-item
 :name SEXUALITY
 :spelling "sexuality"
 :sample-sentence "He hasn't come to terms with his sexuality yet."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul21 11:25"
 :editor "Jakeway")
(lexical-item
 :name SIGNIFICANT
 :spelling "significant"
 :sample-sentence "Adding siena lead to a significant change."
 :features (ADJECTIVE DEGREE COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      MORE-MOST APPROPRIATENESS)
 :date "95Jun21 16:40"
 :editor "Jakeway")
(lexical-item
 :name SKULL
 :spelling "skull"
 :sample-sentence "The brain is housed inside the skull."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul12 22:50"
 :editor "Jakeway")
(lexical-item
 :name SMOOTH
 :spelling "smooth"
 :sample-sentence "Your hip joint is not smooth."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTHOLD SUBJECTCOMP
		      APPROPRIATENESS NOT-PREDICATEONLY THATCOMP
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun19 13:25"
 :editor "Jakeway")
(lexical-item
 :name SOCIAL
 :spelling "social"
 :sample-sentence "She had very good social skills."
 :features (ADJECTIVE NONDEGREE NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jul18 13:55"
 :editor "Jakeway")
(lexical-item
 :name SOCIETY
 :spelling "society"
 :sample-sentence "Modern society is decaying."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul19 18:25"
 :editor "Jakeway")
(lexical-item
 :name SOCKET
 :spelling "socket"
 :sample-sentence "Don't stick your hands into the socket."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 13:00"
 :editor "Jakeway")
(lexical-item
 :name SOFT
 :spelling "soft"
 :sample-sentence "The soft tissue is most susceptible to infection."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTHOLD SUBJECTCOMP
		      APPROPRIATENESS NOT-PREDICATEONLY THATCOMP
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun19 20:40"
 :editor "Jakeway")
(lexical-item
 :name SPAM
 :spelling "spam"
 :sample-sentence "I hate spam."
 :features (NOUN COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul21 11:40"
 :editor "Jakeway")
(lexical-item
 :name SPECIFIC
 :spelling "specific"
 :sample-sentence "To what specific case are you referring?"
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul21 11:30"
 :editor "Jakeway")
(lexical-item
 :name SPONGE
 :spelling "sponge"
 :sample-sentence "Soak it up with a sponge."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 13:00"
 :editor "Jakeway")
(lexical-item
 :name STABILITY
 :spelling "stability"
 :sample-sentence "What do you think of the stability of this craft?"
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 22:15"
 :editor "Jakeway")
(lexical-item
 :name STIFFNESS
 :spelling "stiffness"
 :sample-sentence "Your stiffness should disappear in a couple days."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP
		 NOT-MATERIAL)
 :date "95Jun23 20:15"
 :editor "Jakeway")
(lexical-item
 :name STORE
 :spelling "store"
 :sample-sentence "I stored the vegetables in the cooler."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
  :date "95Jul18 11:00"
  :editor "Jakeway")
(lexical-item
 :name STRENGTHEN
 :spelling "strengthen"
 :sample-sentence "You need to strengthen your muscles."
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED BITRANSITIVE PASSIVE NOT-COPULA
		 NOT-ADJECTIVECOMP SYMBOLICVERB TELLING EFFECTIVE
		 NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP S-ED
		 NOT-OBJECTNOTREQUIRED)
 :date "95Jun19 20:40"
 :editor "Jakeway")
(lexical-item
 :name STRESS
 :spelling "stress"
 :sample-sentence "I can't stress this enough."
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 RELATIONAL MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP CIRCUMSTANTION LOCATION OBJECTPERMITTED
		 NOT-OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT NOT-THATCOMP ES-ED)
 :date "95Jun23 20:20"
 :editor "Jakeway")
(lexical-item
 :name STRESS-NOUN
 :spelling "stress"
 :sample-sentence "Don't put any undue stress on your new implant."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NOT-MATERIAL)
 :date "95Jun23 20:20"
 :editor "Jakeway")
(lexical-item
 :name STRESSFUL
 :spelling "stressful"
 :sample-sentence "Editing lexical items is stressful."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun20 12:10"
 :editor "Jakeway")
(lexical-item
 :name STUPID
 :spelling "stupid"
 :sample-sentence "That was a pretty stupid thing to do!"
 :features (ADJECTIVE MORE-MOST DEGREE
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jul19 18:45"
 :editor "Jakeway")
(lexical-item
 :name SUBJECTIVELY
 :spelling "subjectively"
 :sample-sentence "That decision was reached very subjectively."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jul13 15:25"
 :editor "Jakeway")
(lexical-item
 :name SUBSTITUTE
 :spelling "substitute"
 :sample-sentence "Jesus substituted our death for his."
 :features (VERB INFLECTABLE UNITARYSPELLING S-D LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB DISPOSAL EFFECTIVE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED
		 NOT-COPULA PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 NOT-THATCOMP)
 :date "95Jul18 14:05"
 :editor "Jakeway")
(lexical-item
 :name SUCCESS
 :spelling "success"
 :sample-sentence "The success of the surery is not guaranteed."
 :features (NOUN ES COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar30 15:25"
 :editor "Jakeway")
(lexical-item
 :name SUCCESSFUL
 :spelling "successful"
 :sample-sentence "We had a very successful visit to ISI."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Mar30 19:30"
 :editor "Jakeway")
(lexical-item
 :name SUCH
 :spelling "such"
 :sample-sentence "Such people came."
 :features (ADVERB LIMITER INTENSIFIER OTHERADVERB)
 :date "95Mar27 12:25"
 :editor "Jakeway")
(lexical-item
 :name SUPPORT
 :spelling "support"
 :sample-sentence "The leg bones support the upper body."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPPERMITTED NOT-FORNPPERMITTED
		 NP-TOCOMPNOTREQUIRED NOT-SUBJECTLOWERING NOT-QUESTIONCOMP
		 NOT-MAKECOMP OBJECTPERMITTED NOT-OBJECTNOTREQUIRED NOT-COPULA
		 PASSIVE NONE-OF-BITRANSITIVE-INDIRECTOBJECT EFFECTIVE
		 EXPERIENCEVERB REACTION NOT-ADJECTIVECOMP NOT-SUBJECTCOMP
		 PARTICIPLECOMP THATCOMP THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP LIKE)
 :date "95Jul11 05:00"
 :editor "Jakeway")
(lexical-item
 :name SUPPORTING
 :spelling "supporting"
 :sample-sentence "The supporting actress played a brilliant role."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 22:20"
 :editor "Jakeway")
(lexical-item
 :name SURFACE
 :spelling "surface"
 :sample-sentence "The surface of this bone is quite rough."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 13:25"
 :editor "Jakeway")
(lexical-item
 :name SURGEON
 :spelling "surgeon"
 :sample-sentence "Don't tell me!  The surgeon cut off your leg!"
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95May19 14:55"
 :editor "Jakeway")
(lexical-item
 :name SURGERY
 :spelling "surgery"
 :sample-sentence "The surgery was a success."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Mar27 11:20"
 :editor "Jakeway")
(lexical-item
 :name SURGICAL
 :spelling "surgical"
 :sample-sentence "The surgical equipment is now sterilized."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      PROVENANCE NOT-PREDICATEONLY)
 :date "95Mar27 16:25"
 :editor "Jakeway")
(lexical-item
 :name SURROUND
 :spelling "surround"
 :sample-sentence "Though darkness surrounds me, I am not afraid."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 TOCOMP NP-TOCOMPNOTPERMITTED NOT-QUESTIONCOMP NOT-MAKECOMP
		 OBJECTNOTPERMITTED MIDDLE EXPERIENCEVERB COGNITION EPISTEMIC
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP)
 :date "95Jul11 04:55"
 :editor "Jakeway")
(lexical-item
 :name SURROUNDING
 :spelling "surrounding"
 :sample-sentence "The surrounding tissue shouldn't be affected."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun23 20:25"
 :editor "Jakeway")
(lexical-item
 :name SWELLING
 :spelling "swelling"
 :sample-sentence "The surgery may leave some swelling."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION SWELL))  ; not defined
 :date "95Mar27 12:35"
 :editor "Jakeway")
(lexical-item
 :name SYMPTOMATIC
 :spelling "symptomatic"
 :sample-sentence "His infection was symptomatic of AIDS."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun19 20:45"
 :editor "Jakeway")
(lexical-item
 :name SYNTHETIC
 :spelling "synthetic"
 :sample-sentence "Synthetic body parts are never as good as the real thing."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun19 20:45"
 :editor "Jakeway")
(lexical-item
 :name TAKE-ON
 :spelling "take on"
 :sample-sentence "He took on way too much."
 :features (VERB INFLECTABLE COMPOUNDSPELLING IRR INGPARTICIPLEFORM
		 FIRSTSINGULARFORM SECONDSINGULARFORM THIRDSINGULARFORM
		 PLURALFORM FIRSTSINGULARPASTFORM SECONDSINGULARPASTFORM
		 THIRDSINGULARPASTFORM PLURALPASTFORM PASTFORM
		 EDPARTICIPLEFORM IMMOVABLEPARTICLES LEXICAL
		 NOT-CASEPREPOSITIONS TOCOMP NP-TOCOMPPERMITTED
		 NOT-FORNPPERMITTED NP-TOCOMPNOTREQUIRED NOT-SUBJECTLOWERING
		 NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED
		 NOT-OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT MIDDLE EXPERIENCEVERB
		 REACTION NOT-ADJECTIVECOMP NOT-SUBJECTCOMP PARTICIPLECOMP
		 THATCOMP THATREQUIRED NOT-SUBJUNCTIVEREQUIRED
		 NOT-BAREINFINITIVECOMP DISLIKE)
 :properties ((INGPARTICIPLEFORM "taking on")
	      (FIRSTSINGULARFORM "take on") (SECONDSINGULARFORM "take on")
	      (THIRDSINGULARFORM "takes on") (PLURALFORM "take on")
	      (FIRSTSINGULARPASTFORM "took on")
	      (SECONDSINGULARPASTFORM "took on")
	      (THIRDSINGULARPASTFORM "took on")
	      (PLURALPASTFORM "took on")
	      (EDPARTICIPLEFORM "taken on"))
 :date "95Jul13 15:40"
 :editor "Jakeway")
(lexical-item
 :name TEAR
 :spelling "tear"
 :sample-sentence "That page is severely torn."
 :features (VERB INFLECTABLE S-IRR PASTFORM EDPARTICIPLEFORM PARTICLES LEXICAL
		 NOT-TOCOMP QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 EPISTEMIC MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP
		 OBJECTNOTPERMITTED)
 :properties ((PASTFORM "tore") (EDPARTICIPLEFORM "torn"))
 :date "95Jul21 19:20"
 :editor "Jakeway")
(lexical-item
 :name TEMPORARY
 :spelling "temporary"
 :sample-sentence "The cast is only temporary."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE COMPLEMENTPERMITTED
		      TOCOMP FORNPPERMITTED SUBJECTLOWERING SUBJECTCOMP
		      NONE-OF-APPROPRIATENESS-POSSIBILITYPROPERTY-OBVIOUSNESS
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      THATCOMP NOT-PREDICATEONLY)
 :date "95Mar27 16:30"
 :editor "Jakeway")
(lexical-item
 :name TENURED
 :spelling "tenured"
 :sample-sentence "This tenured professor was the best I ever had."
 :features (ADJECTIVE NONDEGREE NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jul19 18:45"
 :editor "Jakeway")
(lexical-item
 :name TEST
 :spelling "test"
 :sample-sentence "Jesus was tested in the desert."
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 RELATIONAL MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP CIRCUMSTANTION LOCATION OBJECTPERMITTED
		 NOT-OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT NOT-THATCOMP S-ED)
 :date "95Jun20 11:00"
 :editor "Jakeway")
(lexical-item
 :name TEST-NOUN
 :spelling "test"
 :sample-sentence "How did you do on the test?"
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION TEST))
 :date "95Jun20 11:20"
 :editor "Jakeway")
(lexical-item
 :name TESTING
 :spelling "testing"
 :sample-sentence "We need to do some additional testing."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :properties ((NOMINALIZATION TEST))
 :date "95Jun23 20:30"
 :editor "Jakeway")
(lexical-item
 :name THALLIUM
 :spelling "thallium"
 :sample-sentence "What did the thallium scan say?"
 :features (NOUN COMMON NOT-NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 20:30"
 :editor "Jakeway")
(lexical-item
 :name THERAPY
 :spelling "therapy"
 :sample-sentence "The therapy was a success."
 :features (NOUN ES COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 20:50"
 :editor "Jakeway")
(lexical-item
 :name THIGH
 :spelling "thigh"
 :sample-sentence "Your lap appears on your thighs."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 22:20"
 :editor "Jakeway")
(lexical-item
 :name THOUGHTFULLY
 :spelling "thoughtfully"
 :sample-sentence "I have reviewed your article carefully and thoughtfully."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Mar25 16:35"
 :editor "Jakeway")
(lexical-item
 :name TIME-NOUN
 :spelling "time"
 :sample-sentence "What time is it?"
 :features (NOUN NOT-NOMINALIZATION COMMON COUNTABLE NONSUBSTITUTE S
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul21 18:50"
 :editor "Jakeway")
(lexical-item
 :name TISSUE
 :spelling "tissue"
 :sample-sentence "Hand me a tissue."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 20:50"
 :editor "Jakeway")
(lexical-item
 :name TOGETHER
 :spelling "together"
 :sample-sentence "Together we can change the world."
 :features (ADVERB NOT-LIMITER OTHERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jun19 20:55"
 :editor "Jakeway")
(lexical-item
 :name TOLERANCE
 :spelling "tolerance"
 :sample-sentence "Your tolerance to the pain is amazing."
 :features (NOUN S COMMON NOMINALIZATION UNCOUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION TOLERANT))  ; not defined
 :date "95Mar30 15:25"
 :editor "Jakeway")
(lexical-item
 :name TREASURE
 :spelling "treasure"
 :sample-sentence "The necklace was a treasure she kept all her life."
 :features (NOUN S COMMON COUNTABLE NONSUBSTITUTE NONE-OF-THATCOMP-TYPIC)
 :date "95Jun19 18:50"
 :editor "Jakeway")
(lexical-item
 :name TOTAL
 :spelling "total"
 :sample-sentence "The total strength of the troops is very little."
 :features (ADJECTIVE NONDEGREE NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Apr24 15:05"
 :editor "Jakeway")
(lexical-item
 :name TREATMENT
 :spelling "treatment"
 :sample-sentence "The treatment we tried didn't work."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION TREAT))  ; not defined
 :date "95Mar25 22:50"
 :editor "Jakeway")
(lexical-item
 :name TRY
 :spelling "try"
 :sample-sentence "I tried to help you."
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 RELATIONAL MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP CIRCUMSTANTION LOCATION OBJECTPERMITTED
		 NOT-OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT NOT-THATCOMP ES-ED)
 :date "95Mar25 23:00"
 :editor "Jakeway")
(lexical-item
 :name TURN
 :spelling "turn"
 :features (VERB INFLECTABLE UNITARYSPELLING LEXICAL CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB EVENT MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP S-ED OBJECTNOTPERMITTED NOT-THATCOMP)
 :properties ((CASEPREPOSITIONS ON))
 :date "95Jul13 15:45"
 :editor "Jakeway")
(lexical-item
 :name UNABLE
 :spelling "unable"
 :sample-sentence "I am unable to come tonight."
 :features (ADJECTIVE DEGREE MORE-MOST COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      NONE-OF-APPROPRIATENESS-POSSIBILITYPROPERTY-OBVIOUSNESS)
 :date "95Jun23 22:30"
 :editor "Jakeway")
(lexical-item
 :name UNDERGO
 :spelling "undergo"
 :sample-sentence "What type of surgery did he undergo?"
 :features (VERB INFLECTABLE UNITARYSPELLING ES-IRR PASTFORM EDPARTICIPLEFORM
		 LEXICAL NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP
		 NOT-ADJECTIVECOMP NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP MIDDLE DOVERB EVENT OBJECTNOTPERMITTED
		 NOT-THATCOMP)
 :properties ((PASTFORM "underwent") (EDPARTICIPLEFORM "undergone"))
 :date "95Jul18 13:40"
 :editor "Jakeway")
#|
(lexical-item
 :name UNDERGO
 :spelling "undergo"
 :sample-sentence "What type of surgery did he undergo?"
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS ADJECTIVECOMP
		 NONE-OF-SYMBOLICVERB-RELATIONAL-EXPERIENCEVERB-DOVERB MIDDLE
;		 OBJECTNOTPERMITTED NOT-SUBJECTCOMP UNITARYSPELLING ES-IRR
		 OBJECTNOTPERMITTED NOT-SUBJECTCOMP UNITARYSPELLING ES-ED
;		 PASTFORM EDPARTICIPLEFORM NOT-TOCOMP NOT-QUESTIONCOMP
		 NOT-TOCOMP NOT-QUESTIONCOMP
		 NOT-MAKECOMP NOT-PARTICIPLECOMP NOT-THATCOMP
		 NOT-BAREINFINITIVECOMP)
; :properties ((PASTFORM "underwent") (EDPARTICIPLEFORM "undergone"))
 :date "95Apr24 15:20"
 :editor "Jakeway")
|#
(lexical-item
 :name UNEXPECTEDLY
 :spelling "unexpectedly"
 :sample-sentence "He will return to earth unexpectedly."
 :features (ADVERB NOT-LIMITER MANNERADVERB
		   NONE-OF-INTENSIFIER-COMPARATIVEADVERB-INTERROGATIVE-NEGATIVE)
 :date "95Jul18 14:05"
 :editor "Jakeway")
(lexical-item
 :name UNHELPFUL
 :spelling "unhelpful"
 :sample-sentence "He was quite unhelpful."
 :features (ADJECTIVE DEGREE MORE-MOST COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      NONE-OF-APPROPRIATENESS-POSSIBILITYPROPERTY-OBVIOUSNESS)
 :date "95Jun23 22:30"
 :editor "Jakeway")
(lexical-item
 :name UNLESS
 :spelling "unless"
 :sample-sentence "I won't do it unless you do, too."
 :features (LINKER SUBORDINATOR NOT-PUNCTUATION NONE-OF-CONJUNCT-CONJUNCTIVE
		   NOT-SENTENCECONJUNCTION)
 :date "July 21, 1995, at FAW"
 :editor "WW")
(lexical-item
 :name UNRELIABLE
 :spelling "unreliable"
 :sample-sentence "She was very unreliable."
 :features (ADJECTIVE DEGREE MORE-MOST COMPLEMENTPERMITTED TOCOMP FORNPPERMITTED
		      SUBJECTHOLD SUBJECTCOMP THATCOMP NOT-PREDICATEONLY
		      NONE-OF-APPROPRIATENESS-POSSIBILITYPROPERTY-OBVIOUSNESS)
 :date "95Jun23 22:30"
 :editor "Jakeway")
(lexical-item
 :name UNWORN
 :spelling "unworn"
 :sample-sentence "The unworn tires are better than the worn ones."
 :features (ADJECTIVE CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul20 15:00"
 :editor "Jakeway")
(lexical-item
 :name UPLOAD
 :spelling "upload"
 :sample-sentence "We uploaded three files today."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP OBJECTPERMITTED
		 OBJECTNOTREQUIRED NOT-COPULA PASSIVE
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT EFFECTIVE DOVERB DISPOSAL
		 NOT-ADJECTIVECOMP SUBJECTCOMP NOT-PARTICIPLECOMP NOT-THATCOMP
		 NOT-BAREINFINITIVECOMP)
 :comments "process"
 :date "95Jul19 22:55"
 :editor "Jakeway")
(lexical-item
 :name UPLOADING
 :spelling "uploading"
 :sample-sentence "The uploading took forty minutes."
 :features (NOUN S COMMON NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :properties ((NOMINALIZATION UPLOAD))
 :date "95Jul18 10:40"
 :editor "Jakeway")
(lexical-item
 :name UPPER
 :spelling "upper"
 :sample-sentence "Your upper body strength is quite remarkable, Mr. Banner"
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST NONDEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun19 13:25"
 :editor "Jakeway")
(lexical-item
 :name USE-NOUN
 :spelling "use"
 :sample-sentence "What is the use of staying up so late?"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP
		 NOT-MATERIAL)
 :date "95Jul28 01:05"
 :editor "Jakeway")
(lexical-item
 :name VEIN
 :spelling "vein"
 :sample-sentence "I found a vein of gold in that rock!"
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 20:35"
 :editor "Jakeway")
(lexical-item
 :name VENTRICULAR
 :spelling "ventricular"
 :sample-sentence "The ventricular chambers weren't."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS NONDEGREE INTRINSIC MATERIAL
		      NOT-PREDICATEONLY)
 :date "95Jun23 22:35"
 :editor "Jakeway")
(lexical-item
 :name VOGUE
 :spelling "vogue"
 :sample-sentence "Visiting New York is in vogue."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jul13 15:50"
 :editor "Jakeway")
(lexical-item
 :name WALK
 :spelling "walk"
 :sample-sentence "He walked to the corner store and back."
 :features (VERB INFLECTABLE UNITARYSPELLING S-ED LEXICAL NOT-CASEPREPOSITIONS
		 NOT-TOCOMP NOT-QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 DOVERB EVENT MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP
		 NOT-BAREINFINITIVECOMP OBJECTNOTPERMITTED NOT-THATCOMP)
 :date "95Jun19 13:30"
 :editor "Jakeway")
(lexical-item
 :name WALKER
 :spelling "walker"
 :sample-sentence "Oh good, she's using her walker."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 22:35"
 :editor "Jakeway")
(lexical-item
 :name WEAKENED
 :spelling "weakened"
 :sample-sentence "Your weakened muscles need physiotherapy."
 :features (ADJECTIVE DEGREE MORE-MOST
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE)
 :date "95Jun19 20:55"
 :editor "Jakeway")
(lexical-item
 :name WEAR
 :spelling "wear"
 :sample-sentence "What outfit are you wearing today?"
 :features (VERB INFLECTABLE S-IRR PASTFORM EDPARTICIPLEFORM PARTICLES LEXICAL
		 NOT-TOCOMP QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 EPISTEMIC MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP
		 OBJECTNOTPERMITTED)
 :properties ((PASTFORM "wore") (EDPARTICIPLEFORM "worn"))
 :date "95Jun19 12:45"
 :editor "Jakeway")
(lexical-item
 :name WEAR-AND-TEAR
 :spelling "wear and tear"
 :sample-sentence "This due to normal wear and tear."
 :features (NOUN NOINFLECTIONS COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 THATCOMP NOT-MATERIAL)
 :date "95Jul28 01:10"
 :editor "Jakeway")
(lexical-item
 :name WEAR-AWAY
 :spelling "wear away"
 :sample-sentence "Oh say, can you see America wearing away?"
 :features (VERB INFLECTABLE COMPOUNDSPELLING IRR INGPARTICIPLEFORM
		 EDPARTICIPLEFORM PLURALPASTFORM THIRDSINGULARPASTFORM
		 SECONDSINGULARPASTFORM FIRSTSINGULARPASTFORM PASTFORM
		 PLURALFORM SECONDSINGULARFORM FIRSTSINGULARFORM
		 THIRDSINGULARFORM PARTICLES LEXICAL NOT-TOCOMP QUESTIONCOMP
		 NOT-MAKECOMP NOT-ADJECTIVECOMP EPISTEMIC MIDDLE NOT-SUBJECTCOMP
		 NOT-PARTICIPLECOMP THATCOMP NOT-THATREQUIRED
		 NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP
		 OBJECTNOTPERMITTED)
 :properties ((INGPARTICIPLEFORM "wearing away") (EDPARTICIPLEFORM "worn away")
	      (PLURALPASTFORM "wore away") (THIRDSINGULARPASTFORM "wore away")
	      (SECONDSINGULARPASTFORM "wore away")
	      (FIRSTSINGULARPASTFORM "wore away") (PASTFORM "wore away")
	      (PLURALFORM "wear away") (SECONDSINGULARFORM "wear away")
	      (FIRSTSINGULARFORM "wear away") (THIRDSINGULARFORM "wears away"))
 :date "95Jun19 12:45"
 :editor "Jakeway")
(lexical-item
 :name WEAR-OUT
 :spelling "wear out"
 :sample-sentence "My shoes are wearing out."
 :features (VERB INFLECTABLE IRR INGPARTICIPLEFORM EDPARTICIPLEFORM
		 PLURALPASTFORM THIRDSINGULARPASTFORM SECONDSINGULARPASTFORM
		 FIRSTSINGULARPASTFORM PASTFORM PLURALFORM SECONDSINGULARFORM
		 FIRSTSINGULARFORM THIRDSINGULARFORM PARTICLES LEXICAL
		 NOT-TOCOMP QUESTIONCOMP NOT-MAKECOMP NOT-ADJECTIVECOMP
		 EPISTEMIC MIDDLE NOT-SUBJECTCOMP NOT-PARTICIPLECOMP THATCOMP
		 NOT-THATREQUIRED NOT-SUBJUNCTIVEREQUIRED NOT-BAREINFINITIVECOMP
		 OBJECTNOTPERMITTED)
 :properties ((INGPARTICIPLEFORM "wearing out") (EDPARTICIPLEFORM "worn out")
	      (PLURALPASTFORM "wore out") (THIRDSINGULARPASTFORM "wore out")
	      (SECONDSINGULARPASTFORM "wore out")
	      (FIRSTSINGULARPASTFORM "wore out") (PASTFORM "wore out")
	      (PLURALFORM "wear out") (SECONDSINGULARFORM "wear out")
	      (FIRSTSINGULARFORM "wear out") (THIRDSINGULARFORM "wears out"))
 :date "95Mar30 22:30"
 :editor "Jakeway")
(lexical-item
 :name WEIGHT
 :spelling "weight"
 :sample-sentence "You shouldn't be gaining weight."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE
		 NONE-OF-THATCOMP-TYPIC)
 :date "95Jun23 22:40"
 :editor "Jakeway")
(lexical-item
 :name WEIGHT-BEARING
 :spelling "weight-bearing"
 :sample-sentence "You should be weight-bearing after a couple months."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jun19 13:35"
 :editor "Jakeway")
(lexical-item
 :name WORK
 :spelling "work"
 :sample-sentence "How long have you worked on this project?"
 :features (VERB INFLECTABLE LEXICAL NOT-CASEPREPOSITIONS NOT-ADJECTIVECOMP
		 NONE-OF-BITRANSITIVE-INDIRECTOBJECT
		 NONE-OF-SYMBOLICVERB-RELATIONAL-EXPERIENCEVERB-DOVERB MIDDLE
		 OBJECTPERMITTED NOT-TOCOMP NOT-QUESTIONCOMP NOT-PARTICIPLECOMP
		 NOT-MAKECOMP NOT-BAREINFINITIVECOMP COPULA NOT-PASSIVE
		 NOT-THATCOMP NOT-SUBJECTCOMP UNITARYSPELLING S-ED
		 OBJECTNOTREQUIRED)
 :date "95Jul12 22:55"
 :editor "Jakeway")
(lexical-item
 :name WORN-OUT
 :spelling "worn out"
 :sample-sentence "He was pretty worn out after the soccer game."
 :features (ADJECTIVE NOT-CASEPREPOSITIONS MORE-MOST DEGREE INTRINSIC
		      NONE-OF-SIZE-PROVENANCE-MATERIAL-COLOUR-AGE
		      NOT-PREDICATEONLY)
 :date "95Jul8 10:55"
 :editor "Jakeway")
(lexical-item
 :name WOUND
 :spelling "wound"
 :sample-sentence "I doctor says I have a wound."
 :features (NOUN S COMMON NOT-NOMINALIZATION COUNTABLE NONSUBSTITUTE THATCOMP)
 :date "95Mar27 17:40"
 :editor "Jakeway")


(provide :med)
