;;; File: no-either.lisp
;;; Last saved in emacs: Time-stamp: <97/01/20 19:29:19 jlitchfi>

;;; This file contains a new system and a slight modification to a previous one.
;;; It provides a new inquiry that can be put inside disjunctions which will ask if
;;; you want the word "either".

(in-package :penman)

(system
   :name EXTENDING-COORDINATION-TYPE
   :inputs EXTENDING-COORDINATION
   :outputs ((0.33333334 ADDITIVE-COORDINATION
			 (INSERT COORDINATOR)
			 (ORDER COORDINATOR EXTENSION)
			 (LEXIFY COORDINATOR AND)
			 )
             (0.33333334 ALTERNATIVE-COORDINATION
			 (INSERT CORRELATOR)
			 (ORDER CORRELATOR EXTENDED)
;;			 (LEXIFY CORRELATOR EITHER)
			 (INSERT COORDINATOR)
			 (ORDER COORDINATOR EXTENSION)
			 (LEXIFY COORDINATOR OR))
             (0.33333334 CONTRASTIVE-COORDINATION
			 (INSERT COORDINATOR)
			 (LEXIFY COORDINATOR BUT)
			 (ORDER COORDINATOR EXTENSION)))
   :chooser EXTENDING-COORDINATION-TYPE-CHOOSER
   :selector CHOICE-MASTER
   :old-feature ADDITIVE-COORDINATION
   :region CLAUSECOMPLEX
   :metafunction LOGICAL
   :comments "(ALL SUBTYPES ARE NOT REPRESENTED EARLY LEXIFICATION.)")

(system
 :name EITHER-SYSTEM
 :inputs ALTERNATIVE-COORDINATION
 :outputs ((0.5 insert-either
		(LEXIFY CORRELATOR EITHER))
	   (0.5 no-either
		(lexify correlator ellipsiszero)))  
 ;; changed from zero to ellipsiszero - JL 20/01/97
 :chooser EITHER-SYSTEM-CHOOSER
 :selector CHOICE-MASTER
 :old-feature insert-either
 :region CLAUSECOMPLEX
 :metafunction LOGICAL
)

(chooser
 :name either-system-chooser
 :definition ((ASK (either-q onus)
		   (use-either (choose insert-either))
		   (no-either (choose no-either))))
 :comments ""
 :editor "WW"
 :date "23-06-95")

(askoperator
 :name either-q
 :domain TP
 :mode IMPLEMENTED
 :parameters (SPEC)
 :english ("Do you want \"either\" in the sentence?")
 :operatorcode trivialdefaultcode
 :parameterassociationtypes (CONCEPT)
 :answerset (use-either no-either)
 :activedefault use-either
 :trivialdefault use-either)

(set-grammar-keyword-types)

(defvar sample-disjunction
  '(d / disjunction
      :either-q no-either
      :domain (a1 / ambient-process
		  :lex rain
		  :tense future-in-present)   
      :range (a2 / ambient-process
		 :lex snow
		 :modality may)))
;;; "It is going to rain, or it may snow."
