;;; File: quantity.lisp
;;; Last saved in emacs: Time-stamp: <97/01/22 22:52:56 jlitchfi>


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Permit "some of <x>"                                                 ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;; modified from QUANTITY-GROUP.systems

(SYSTEM
 :NAME                   PROPORTION-QUANTITY-TYPE
 :INPUTS                 PROPORTION-QUANTITY
 :OUTPUTS                ((0.3 MULTAL-PROPORTION (LEXIFY QUANTIFIER MOST))
			  (0.4 some-proportion (lexify quantifier smdet))
			  (0.3 PAUCAL-PROPORTION
                               (LEXIFY QUANTIFIER LITTLEDET)))
 :CHOOSER                PROPORTION-QUANTITY-TYPE-CHOOSER
 :REGION                 QUANTITY-GROUP
 :METAFUNCTION           IDEATIONAL
 )

;;; modified from SELECTION.systems

(GATE
 :NAME                   QUANTIFIER-SELECTOR
 :INPUTS                 (OR (AND QUANTIFIED
				  (OR NOMINAL-SPECIFIC NUMERIFIED))
			     (AND NONSPECIFIC-INSTANTIATION
				  (OR MEASURE-QUANTITY 
				      MULTAL-PROPORTION
				      some-proportion)))
 :OUTPUTS                ((1.0 QUANTIFIER-SELECTOR (INSERT QSELECTOR)
                               (LEXIFY QSELECTOR OF)))
 :REGION                 SELECTION
 :METAFUNCTION           IDEATIONAL
 )

;;; modified from QUANTITY-GROUP.choosers

(CHOOSER
 :NAME                   PROPORTION-QUANTITY-TYPE-CHOOSER
 :DEFINITION             ((ASK (HIGH-QUANTITY-Q QUANTIFIER THING)
			       (HIGH (CHOOSE MULTAL-PROPORTION))
			       (NONHIGH 
				(ASK (mid-QUANTITY-Q QUANTIFIER THING)
				     (mid (CHOOSE some-PROPORTION))
				     (nonmid (CHOOSE PAUCAL-PROPORTION)))))
			  (* LP "12-Jan-87 11:32:56"))
 :DATE                   "27/05/96"
 )

;;; new inquiry

(ASKOPERATOR
 :NAME                   mid-QUANTITY-Q
 :DOMAIN                 TP
 :PARAMETERS             (QUANTITY1 ENTITY)
 :ENGLISH                ( " Does" QUANTITY1
			   "  specify a medium value on a scale of quantity"
			   "whose standard is set relative to" ENTITY " ?")
 :OPERATORCODE           TRIVIALDEFAULTCODE
 :PARAMETERASSOCIATIONTYPES      (MODIFICATIONSET CONCEPT)
 :ANSWERSET              (mid nonmid)
 :TRIVIALDEFAULT         nonmid
 )